var modal_guardar = {
    title: ProntusL10n.get('global_save_label'),
    content: ProntusL10n.get('robot_editor_save'),
    icon: "glyphicon glyphicon-question-sign",
    buttons: {
        ok: {
            text: ProntusL10n.get('global_save_label'),
            btnClass: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextyellow nextyellow',
            keys: ['enter'],
            action: function () {
                EditorRobots.accionGuardar();
            }
        },
        cancel: {
            text: ProntusL10n.get('global_cancel_label'),
            action: function () {}
        }
    }
}

var modal_template = {
    title: ProntusL10n.get('robot_editor_new_template'),
    content: ProntusL10n.get('robot_editor_replace_template'),
    icon: "glyphicon glyphicon-question-sign",
    buttons: {
        ok: {
            text: ProntusL10n.get('robot_editor_replace_label'),
            btnClass: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextyellow nextyellow',
            keys: ['enter'],
            action: function () {
                EditorRobots.accionCrearTemplate();
            }
        },
        cancel: {
            text: ProntusL10n.get('global_cancel_label'),
            action: function () {}
        }
    }
}

var modal_borrar = {
    title: ProntusL10n.get('global_delete_label'),
    content: ProntusL10n.get('robot_editor_delete'),
    icon: "glyphicon glyphicon-question-sign",
    buttons: {
        ok: {
            text: ProntusL10n.get('global_delete_label'),
            btnClass: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextred nextred',
            keys: ['enter'],
            action: function () {
                EditorRobots.accionBorrar();
            }
        },
        cancel: {
            text: ProntusL10n.get('global_cancel_label'),
            action: function () {}
        }
    }
}
