var EventosReportes = {
    url_get_logs: "/cgi-cpn/prontus_usr_reportes.cgi",

    init: function() {
        $("#logs-datepicker").datetimepicker({
            format: 'YYYY-MM-DD',
            locale: ProntusL10n.getLocale()
        }).data('DateTimePicker')
        .enabledDates(fechas_con_log);

        $('#logs-datepicker').on("dp.change", function(e) {
            if (!e.oldDate) { // no ejecutamos el evento al hacer click por primera vez.
                return false;
            }
            $.getJSON(EventosReportes.url_get_logs+'?_prontus_id='+Admin.prontus_id+'&accion=tabla-eventos&fecha='+this.value, function(data) {
                $('tbody#tabla-log').html(data.msg);
            });
            $('#log-eventos-fecha').attr('href', $('#log-eventos-fecha').attr('href').replace(/fecha=\d{8}/, "fecha="+this.value));
        });
    }
};

$(document).ready(function () {
    EventosReportes.init();
});
