var StatusRegen = {
    errorCounter: 0,

    // -------------------------------------------------------------------------
    init: function() {
        CombosTax.objFormFid = document.regen_art;
        CombosTax.init();
        $('#actualizar_articulos').click(function () {
            StatusRegen.ejecutarActualizacionMasiva();
            return false;
        });

        $('#toggle_regen_articulos_avanzada').click(function () {
            StatusRegen.toggleRegenAvanzado(this);
            return false;
        });

        $('#actualizar_portadas').click(function () {
            StatusRegen.ejecutarActualizacionMasivaPortadas();
            return false;
        });

        $('#toggle_regen_portadas_avanzada').click(function () {
            StatusRegen.toggleRegenAvanzado(this);
            return false;
        });

        $('#mostrar_log_articulos,#mostrar_log_portadas,#open_log_art,#open_log_port').click(function () {
            $('#modal_logs div.modal-body').load($(this).attr('href'));
            $('#modal_logs').modal();
            return false;
        });

        $('#seleccionar_todo_fid').click(function () {
            Opciones.checkboxToggleChecked('INPUT_FIDS_REGEN[]', true);
            return false;
        });
        $('#seleccionar_ningun_fid').click(function () {
            Opciones.checkboxToggleChecked('INPUT_FIDS_REGEN[]', false);
            return false;
        });
        $('#seleccionar_toda_vista').click(function () {
            Opciones.checkboxToggleChecked('INPUT_MVS_REGEN[]', true);
            return false;
        });
        $('#seleccionar_ninguna_vista').click(function () {
            Opciones.checkboxToggleChecked('INPUT_MVS_REGEN[]', false);
            return false;
        });
        $('#actualizar_taxonomicas').click(function () {
            var urlCheckTax = '/' + Admin.dir_cgi_cpn + '/prontus_regen_check_process.cgi';
            StatusRegen.statusTaxTagCallbacks(urlCheckTax, 'tax', function(status){
                if(status){
                    StatusRegen.ejecutarActualizacionPortadasTaxonomicas();
                }else{
                    StatusRegen.modalInProcess();
                }
            });
            return false
        });
        $('#toggle_regen_tax_avanzada').click(function () {
            StatusRegen.toggleRegenAvanzado(this);
            return false;
        });
        $('#actualizar_tagonomicas').click(function () {
            var urlCheckTag = '/' + Admin.dir_cgi_cpn + '/prontus_regen_check_process.cgi';
             StatusRegen.statusTaxTagCallbacks(urlCheckTag, 'tag', function(status){
                if(status){
                    StatusRegen.ejecutarActualizacionPortadasTagonomicas();
                }else{
                    StatusRegen.modalInProcess();
                }
            });
            return false
        });
        $('#toggle_regen_tag_avanzada').click(function () {
            StatusRegen.toggleRegenAvanzado(this);
            return false;
        });
    },
    checkStatus: function(theURL, element_id) {
        $.ajax({
            url: theURL,
            dataType: 'json',
            cache: false,
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                if (StatusRegen.errorCounter > 5) {
                    SubmitForm.handleError(theURL, XMLHttpRequest, textStatus, errorThrown);
                    StatusRegen.errorCounter++;
                } else {
                    setTimeout(StatusRegen.checkStatus, 1500, theURL, element_id);
                }
            },
            success: function (resp, _textStatus) {
                StatusRegen.errorCounter = 0;
                if (resp.status === 1) {
                    // todo bien
                    if (resp.finish === 0 || typeof resp.finish === 'undefined') {
                        // en proceso
                        if (resp.progress != '') {
                            $('#' + element_id + ' .msg-status').html(resp.progress);
                            $('#' + element_id + ' .msg-status').fadeIn();
                        }
                        setTimeout(StatusRegen.checkStatus, 1500, theURL, element_id);
                        return;
                    } else {
                        // terminó.
                        $('#' + element_id + ' .msg-progress').hide();
                        $('#' + element_id + ' .msg-result').fadeIn();
                        $('#' + element_id + ' .msg-log').fadeIn();
                        return;
                    }
                } else {
                    // error
                    $('#' + element_id + ' .msg-status').hide();
                    $('#' + element_id + ' .msg-progress').hide();
                    $('#' + element_id + ' .msg-error').html(resp.msg);
                    $('#' + element_id + ' .msg-error').fadeIn()
                    $('#' + element_id + ' .msg-log').fadeIn();
                    return;
                }
            }
        });

    },
    ejecutarActualizacionMasiva: function () {
        var element_id = 'regen_articulos';
        $('#' + element_id).hide();
        $('#' + element_id +' div>div').hide();
        // Validaciones.
        var fids_checked = $('input[name="INPUT_FIDS_REGEN[]"]:checked').length;
        if (fids_checked == 0) {
            showModalAlert({
                title: ProntusL10n.get('global_error_title'),
                type: 'red',
                msg: ProntusL10n.get('regen_artic_select_required')
            });

            return false;
        } else {
            var href = '/' + Admin.dir_cgi_cpn + '/' + Opciones.urlRegenART;
            // Fids.
            var fids = new Array();
            $('input[name="INPUT_FIDS_REGEN[]"]:checked').each(function () {
                fids.push($(this).val());
            });

            // datos para peticion
            var data = {
                fids: fids.join(','),
                _prontus_id: Admin.prontus_id
            };

            // Vistas.
            var mvs = new Array();
            $('input[name="INPUT_MVS_REGEN[]"]:checked').each(function () {
                mvs.push($(this).val());
            });
            var mvs_str = mvs.join(',');
            if (mvs_str == '') {
                mvs_str = '@normal';
            }
            data['mvs'] = mvs_str;

            // Fecha.
            var fecha = $('#fecharegen').val();
            var operador = $('#operador-art').val();
            if (fecha != '') {

                //Validacion Rango de fecha.
                if(operador == 'rango'){
                    var rangoFechas = fecha.split('/');
                    if (rangoFechas[0] == '' || rangoFechas[1] == ''){
                        showModalAlert({
                            title: ProntusL10n.get('global_error_title'),
                            type: 'red',
                            msg: ProntusL10n.get('regen_artic_date_range_invalid')
                        });
                        return;
                    }
                    var fechaFrom = rangoFechas[0].split('-');
                    var fechaTo = rangoFechas[1].split('-');
                    if (!StatusRegen.validateDateFormat(rangoFechas[0]) || !StatusRegen.validateDateFormat(rangoFechas[1])) {
                        showModalAlert({
                            title: ProntusL10n.get('global_error_title'),
                            type: 'red',
                            msg: ProntusL10n.get('regen_artic_date_range_format')
                        });
                        return;
                    }
                    fecha = '' + fechaFrom[2] + fechaFrom[1] + fechaFrom[0]+'/'+fechaTo[2] + fechaTo[1] + fechaTo[0];
                }

                //Validacion TS Articulo Especifico.
                if(operador == 'ts'){
                    if (fecha.length !== 14 || !$.isNumeric(fecha)) {
                        showModalAlert({
                            title: ProntusL10n.get('global_error_title'),
                            type: 'red',
                            msg: ProntusL10n.get('regen_artic_date_format')
                        });
                        return;
                    }
                    fecha = '' + fecha;
                }

                //Validacion General (<,>,fecha especifica)
                if(operador == 'mayor' || operador == 'menor' || operador == 'fecha'){
                    var arr = fecha.split('-');
                    if (!StatusRegen.validateDateFormat(fecha)) {
                        showModalAlert({
                            title: ProntusL10n.get('global_error_title'),
                            type: 'red',
                            msg: ProntusL10n.get('regen_artic_date_format_2')
                        });
                        return;
                    }
                    fecha = '' + arr[2] + arr[1] + arr[0];
                }

                // Validaciones Exitosas
                data['fecha'] = fecha;
                data['op'] = operador;
            } else {
                data['fecha'] = '';
                data['op'] = '';
            }

            data['_seccion1'] = $('#_seccion1').val();
            data['_tema1'] = $('#_tema1').val();
            data['_subtema1'] = $('#_subtema1').val();

            showModalConfirm({
                title: ProntusL10n.get('regen_artic_title'),
                msg: ProntusL10n.get('regen_artic_msg'),
                type: "orange",
                icon: "glyphicon glyphicon-exclamation-sign",
                btnClassOk: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextyellow nextyellow',
                okTitle: ProntusL10n.get('regen_artic_ok_button'),
                cbBtnOK: function () {
                    $.ajax({
                        url: href ,
                        type: "POST",
                        dataType: 'json',
                        data: data,
                        error: function(XMLHttpRequest, textStatus, errorThrown) {
                            if (StatusRegen.errorCounter > 5) {
                                SubmitForm.handleError(href, XMLHttpRequest, textStatus, errorThrown);
                                StatusRegen.errorCounter++;
                            } else {
                                setTimeout(StatusRegen.checkStatus, 1500, '/' + Admin.prontus_id + '/cpan/procs/result_art_regen.json', element_id);
                            }
                        },
                        success: function(_resp, _textStatus) {
                            StatusRegen.errorCounter = 0;
                            $('.regen_avanzado').hide();
                            setTimeout(StatusRegen.checkStatus, 1500, '/' + Admin.prontus_id + '/cpan/procs/result_art_regen.json', element_id);
                            $('#' + element_id).show();
                            $('#' + element_id + ' .msg-progress').show();
                            $('#' + element_id + ' .msg-progress .progress-bar').show();
                        }
                    });
                    return true;
                }
            });
            return true;
        }
    },
    validateDateFormat: (date) => {
        var re = new RegExp("^[0-9]{2}[-|\/]{1}[0-9]{2}[-|\/]{1}[0-9]{4}$");
        return re.test(date);
    },
    ejecutarActualizacionMasivaPortadas: function () {
        var href = '/' + Admin.dir_cgi_cpn + '/' + Opciones.urlRegenPORT;
        var element_id = 'regen_portadas';
        $('#' + element_id).hide();
        $('#' + element_id +' div>div').hide();
        // Ejecutar Post Procesos
        var check_pp = $('#CHK_regenerar_post_procesos').is(':checked') ? 'si' : '';

        // datos para peticion
        var data = {
            check_pp: check_pp,
            _prontus_id: Admin.prontus_id
        };

        // Ejecutar Operador para las ediciones
        data['operador'] = $('#operador').val();
        data['cmb_edic'] = $('#cmb_edic').val();

        showModalConfirm({
            title: ProntusL10n.get('regen_port_title'),
            msg: ProntusL10n.get('regen_port_msg'),
            type: "orange",
            icon: "glyphicon glyphicon-exclamation-sign",
            btnClassOk: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextyellow nextyellow',
            okTitle: ProntusL10n.get('regen_port_ok_button'),
            cbBtnOK: function () {
                $.ajax({
                    url: href ,
                    dataType: 'json',
                    data: data,
                    type: 'POST',
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        if (StatusRegen.errorCounter > 5) {
                            SubmitForm.handleError(href, XMLHttpRequest, textStatus, errorThrown);
                            StatusRegen.errorCounter++;
                        } else {
                            setTimeout(StatusRegen.checkStatus, 1500, '/' + Admin.prontus_id + '/cpan/procs/result_port_regen.json', element_id);
                        }
                    },
                    success: function(_resp, _textStatus) {
                        StatusRegen.errorCounter = 0;
                        $('.regen_avanzado').hide();
                        setTimeout(StatusRegen.checkStatus, 1500, '/' + Admin.prontus_id + '/cpan/procs/result_port_regen.json', element_id);
                        $('#' + element_id).show();
                        $('#' + element_id + ' .msg-progress .progress-bar').show();
                    }
                });
            },
            cbBtnCancel: function () {
                $('#' + element_id).hide();
                return false;
            }
        });
        return true;
    },
    toggleRegenAvanzado: function (o) {
        if ($(o).hasClass('selected')) {
            $(o).removeClass('selected');
        } else {
            $(o).addClass('selected');
        }

        $(o).parents('.mensajes').siblings('.regen_avanzado').slideToggle('fast');
    },
    ejecutarActualizacionPortadasTaxonomicas: function () {
        var href = '/' + Admin.dir_cgi_cpn + '/' + Opciones.urlRegenTax;
        var element_id = 'regen_port_tax';
        $('#' + element_id).hide();
        $('#' + element_id +' div>div').hide();

        // incluir fid
        var fid = $('.fid_tax > #_fid-selector').val() != 0 ? $('.fid_tax > #_fid-selector').val() : '';
        var data = {
            fid: fid,
            _prontus_id: Admin.prontus_id
        };

        showModalConfirm({
            title: ProntusL10n.get('regen_taxport_title'),
            msg: ProntusL10n.get('regen_taxport_msg'),
            type: "orange",
            icon: "glyphicon glyphicon-exclamation-sign",
            btnClassOk: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextyellow nextyellow',
            okTitle: ProntusL10n.get('regen_taxport_ok_button'),
            cbBtnOK: function () {
                $.ajax({
                    url: href ,
                    dataType: 'json',
                    type: 'POST',
                    data: data,
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        if (StatusRegen.errorCounter > 5) {
                            SubmitForm.handleError(href, XMLHttpRequest, textStatus, errorThrown);
                            StatusRegen.errorCounter++;
                            console.log(textStatus);
                        } else {
                            setTimeout(StatusRegen.checkStatusTaxTag, 1500, '/' + Admin.dir_cgi_cpn + '/prontus_regen_check_process.cgi', element_id, 'tax');
                        }
                    },
                    success: function(resp, _textStatus) {
                        StatusRegen.errorCounter = 0;
                        $('.regen_avanzado').hide();
                        setTimeout(StatusRegen.checkStatusTaxTag, 1500, '/' + Admin.dir_cgi_cpn + '/prontus_regen_check_process.cgi', element_id, 'tax');
                        $('#' + element_id).show();
                        if (resp.status == 0) {
                            $('#msg_success_tax').text(resp.msg).parent().removeClass('alert-success').addClass('alert-next-normal');
                            $('#msg_success_tax').siblings('.fa-check').hide();
                        } else {
                            $('#msg_success_tax').text('El proceso de regenerar las portadas Taxonómicas ha finalizado de manera exitosa.').parent().addClass('alert-success').removeClass('alert-next-normal');
                            $('#msg_success_tax').siblings('.fa-check').show();
                        }
                        $('#' + element_id + ' .msg-progress').show();
                        $('#' + element_id + ' .msg-progress .progress-bar').show();
                    }
                });
            },
            cbBtnCancel: function () {
                $('#' + element_id).hide();
                return false;
            }
        });
        return true;
    },
    ejecutarActualizacionPortadasTagonomicas: function () {
        var href = '/' + Admin.dir_cgi_cpn + '/' + Opciones.urlRegenTag;
        var element_id = 'regen_port_tag';
        $('#' + element_id).hide();
        $('#' + element_id +' div>div').hide();

        // incluir fid
        var fid = $('.fid_tag > #_fid-selector').val() != 0 ? $('.fid_tag > #_fid-selector').val() : '';
        var data = {
            fid: fid,
            _prontus_id: Admin.prontus_id
        };

        showModalConfirm({
            title: ProntusL10n.get('regen_tagport_title'),
            msg: ProntusL10n.get('regen_tagport_msg'),
            type: "orange",
            icon: "glyphicon glyphicon-exclamation-sign",
            btnClassOk: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextyellow nextyellow',
            okTitle: ProntusL10n.get('regen_tagport_ok_button'),
            cbBtnOK: function () {
                $.ajax({
                    url: href ,
                    dataType: "json",
                    type: 'POST',
                    data: data,
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        if (StatusRegen.errorCounter > 5) {
                            SubmitForm.handleError(href, XMLHttpRequest, textStatus, errorThrown);
                            StatusRegen.errorCounter++;
                        } else {
                            setTimeout(StatusRegen.checkStatusTaxTag, 1500, '/' + Admin.dir_cgi_cpn + '/prontus_regen_check_process.cgi', element_id, 'tag');
                        }
                    },
                    success: function(resp, _textStatus) {
                        StatusRegen.errorCounter = 0;
                        $('.regen_avanzado').hide();
                        setTimeout(StatusRegen.checkStatusTaxTag, 1500, '/' + Admin.dir_cgi_cpn + '/prontus_regen_check_process.cgi', element_id, 'tag');
                        $('#' + element_id).show();

                        if (resp.status == 0) {
                            $('#msg_success_tag').text(resp.msg).parent().removeClass('alert-success').addClass('alert-next-normal');
                            $('#msg_success_tag').siblings('.fa-check').hide();
                        } else {
                            $('#msg_success_tag').text('El proceso de regenerar las portadas Tagonómicas ha finalizado de manera exitosa.').parent().addClass('alert-success').removeClass('alert-next-normal');
                            $('#msg_success_tag').siblings('.fa-check').show();
                        }

                        $('#' + element_id + ' .msg-progress').show();
                        $('#' + element_id + ' .msg-progress .progress-bar').show();
                    }
                });
            },
            cbBtnCancel: function () {
                $('#' + element_id).hide();
                return false;
            }
        });
        return true;
    },
    checkStatusTaxTag: function(theURL, element_id, type) {
        $.ajax({
            url: theURL,
            dataType: 'json',
            data: {type: type},
            type: 'POST',
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                if (StatusRegen.errorCounter > 5) {
                    SubmitForm.handleError(theURL, XMLHttpRequest, textStatus, errorThrown);
                    StatusRegen.errorCounter++;
                } else {
                    setTimeout(StatusRegen.checkStatusTaxTag, 1500, theURL, element_id, type);
                }
            },
            success: function (resp, _textStatus) {
                StatusRegen.errorCounter = 0;
                if (resp.status != 0) {
                    // en proceso
                    setTimeout(StatusRegen.checkStatusTaxTag, 1500, theURL, element_id, type);
                    return false;
                } else {
                    // terminó.
                    $('#' + element_id + ' .msg-progress').hide();
                    $('#' + element_id + ' .msg-result').fadeIn();
                    return true;
                }
            }
        });
    },
    statusTaxTagCallbacks: function(theURL, type, callback) {
        $.ajax({
            url: theURL,
            dataType: 'json',
            type: 'POST',
            data: {type: type},
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                SubmitForm.handleError(theURL, XMLHttpRequest, textStatus, errorThrown);
            },
            success: function (resp, _textStatus) {
                StatusRegen.errorCounter = 0;
                if (resp.status != 0) {
                    // en proceso
                    callback(false);
                    return false;
                } else {
                    // terminó.
                    callback(true)                                                ;
                    return true;
                }
            }
        });
    },
    modalInProcess: function() {
        showModalAlert({
            title: ProntusL10n.get('regen_modal_wait_title'),
            type: 'red',
            msg: ProntusL10n.get('regen_modal_wait_msg')
        });
    }
};
$(document).ready(function () {
    StatusRegen.init();
});
