(function() {
    let FileExplorerTool_UploadCustom = function(fe) {
        if (!(this instanceof FileExplorerTool_UploadCustom))  return new FileExplorerTool_UploadCustom(fe);

        let enabled = false;
        let node = fe.AddToolbarButton('fe_fileexplorer_folder_tool_upload', fe.Translate('Upload file'));

        let UploadHandler = function (fe) {
            let paths = fe.GetCurrentFolder().GetPath();
            let path = "";
            let entries = fe.GetSelectedFolderEntries();

            paths.forEach(function (item) {
                path += item[0] + "/";
            });

            let pathWithoutEndSlash = path.substring(0, path.length - 1);
            let theFile = entries[0].name;
        };

        // Handle clicks.
        let ClickHandler = function(e) {
            if (enabled) {
                $("#modal_subir_archivo").modal("show");
            }
        };

        node.addEventListener('click', ClickHandler);

        let UpdateToolHandler = function(currfolder, attrs) {
            let prevenabled = enabled;

            enabled = true;

            if (prevenabled !== enabled) {
                if (enabled) {
                    node.classList.remove('fe_fileexplorer_disabled');
                } else {
                    node.classList.add('fe_fileexplorer_disabled');
                }

                fe.ToolStateUpdated();
            }
        };

        fe.addEventListener('update_tool', UpdateToolHandler);

        let DestroyToolHandler = function() {
            node.removeEventListener('click', ClickHandler);
        };

        fe.addEventListener('destroy', DestroyToolHandler);
    };

    window.FileExplorer.RegisterTool(1, FileExplorerTool_UploadCustom);
})();