var l10nProntus = {
    l10n_locale: 'es',
    date_locale: 'es-CL',
    months: ['enero', 'febrero', 'marzo', 'abril','mayo','junio','julio','agosto','septiembre','octubre','noviembre','diciembre'],
    days: ['Domingo','Lunes','Martes','Miércoles','Jueves','Viernes','Sábado'],
    dataTableLang: {
        "processing":     "Procesando...",
        "lengthMenu":     "Mostrar _MENU_ registros",
        "zeroRecords":    "No se encontraron resultados",
        "emptyTable":     "No hay datos para mostrar",
        "info":           "_START_-_END_ de _TOTAL_",
        "infoEmpty":      "0-0 de 0",
        "infoFiltered":   "(filtrado de un total de _MAX_ registros)",
        "infoPostFix":    "",
        "search":         "Buscar:",
        "url":            "",
        "infoThousands":  ",",
        "loadingRecords": "Cargando...",
        "aria": {
            "sortAscending":  ": Activar para ordenar la columna de manera ascendente",
            "sortDescending": ": Activar para ordenar la columna de manera descendente"
        }
    },
    actions_error_deleting_article: 'Se produjo un error al borrar el artículo',
    admin_bd_regen_art_msg: '¿Está seguro de regenerar la tabla de artículos?',
    admin_bd_regen_art_title: 'Regenerar tabla de artículos',
    admin_bd_regen_error_proccess: 'Error al procesar el script, recargue la página para continuar',
    admin_bd_regen_mmedia_msg: '¿Está seguro de regenerar la tabla de multimedia?',
    admin_bd_regen_mmedia_table_title: 'de Multimedia',
    admin_bd_regen_mmedia_title: 'Regenerar tabla de multimedia',
    admin_bd_regen_ok_button: 'Regenerar',
    admin_concurrency_article_code: "Advertencia:\n\nEste Artículo está siendo utilizado por otro usuario.\nIngresa el siguiente código para poder utilizarlo.\n\nCódigo: {0}",
    admin_concurrency_article_locked_1: "El artículo está siendo utilizado por otro usuario y ha sido bloqueado para su edición.<br>Volver a ",
    admin_concurrency_article_locked_2: 'Artículos creados',
    admin_concurrency_input_code:"Debes ingresar el código {0} para desbloquear el recurso.",
    admin_concurrency_invalid_input_code: "El código ingresado es inválido.\nPor favor ingresa el siguiente código para desbloquear el recurso: {0}",
    admin_concurrency_page_code: "Advertencia:\n\nEsta Portada está siendo utilizada por otro usuario.\nIngresa el siguiente código para poder utilizarla.\n\nCódigo: {0}",
    admin_concurrency_page_locked: "La portada está siendo utilizada por otro usuario y ha sido bloqueada para su edición.",
    admin_concurrency_users_art: 'Otros usuarios editando este Artículo: {0}',
    admin_concurrency_users_port: 'Otros usuarios editando esta Portada: {0}',
    admin_critical_error_msg: "<strong>Espera unos minutos y actualiza la página</strong> Si el problema persiste, consulta con el administrador de tu servidor web.<br><br>El servidor ha entregado el siguiente mensaje: <strong>{0}</strong><br><br>Status: <strong>{1}</strong><br><br>Detalles:<br><pre>{2}</pre>",
    admin_critical_error_title: 'Se ha producido un error crítico',
    admin_delete_artic_use: 'El artículo está siendo editado por el usuario ',
    admin_dropbox_authorize_app: 'Autorizar la aplicación Dropbox',
    admin_dropbox_oauth_token_success: 'OAuth Token obtenido correctamente.',
    admin_dropbox_success: 'Éxito',
    admin_dropbox_token_success: 'Refresh Token obtenido correctamente.',
    admin_dropbox_unable_get_token: 'No fue posible obtener el token solicitado.',
    admin_edit_lock: 'Bloqueo de edición',
    admin_elastic_spa_reindex_msg: '¿Estás seguro de regenerar los índices del buscador ElasticSearch?',
    admin_elastic_spa_reindex_ok: 'Regenerar índices',
    admin_elastic_spa_reindex_result_error: 'Resultado=Archivo no encontrado',
    admin_elastic_spa_reindex_title: 'Regenerar los índices del buscador',
    admin_error_delete_artic: 'El artículo no se pudo eliminar. Inténtalo nuevamente.',
    admin_error_saving_changes: 'No es posible guardar los cambios',
    admin_error: 'Se ha producido un error',
    admin_goodbye_message: "Vuelve Prontus...",
    admin_google_data_date: 'Datos al ',
    admin_list_select_template :'Primero debes seleccionar una plantilla',
    admin_loges_date_at: ' el {0}',
    admin_loges_date_between: 'entre el {0} y el {1}',
    admin_loges_label_date_at: 'Búsquedas el {0}',
    admin_loges_label_date_between: 'Búsquedas entre el {0} y  el {1}',
    admin_request_error: 'Se produjo un error al procesar la solicitud',
    admin_session_ended: 'Sesión cerrada',
    admin_unable_to_delete_artic: 'No es posible borrar',
    admin_update_msg: "¿Estás seguro de actualizar a Prontus {0}?\nEsta operación actualizará las CGIs y el core de Prontus instalado en su sitio web.",
    admin_update_title: 'Actualizar Prontus',
    admin_wait_logout:'Por favor espera mientras Prontus se cierra.',
    analisis_seo_body_title: "Cuerpo: {0}",
    analisis_seo_correct_alt_attr: "Todas tus imágenes incluyen un atributo ALT. Tu documento es más legible y accesible.",
    analisis_seo_correct_length: "El cuerpo de texto tiene un largo aceptable ({0} palabras) y es legible.",
    analisis_seo_correct_links: "Tu texto contiene enlaces internos y externos, esto mejora la navegación de tu sitio y el ranking de este documento.",
    analisis_seo_desc_char_maxlen: "La descripción contiene {0} caracteres. El máximo sugerido es de {1}. Es posible que resulte abreviado en los resultados de búsqueda en Google.",
    analisis_seo_desc_char_minlen: "La descripción contiene {0} caracteres. El mínimo sugerido es de {1}. Puede ser ambiguo de interpretar.",
    analisis_seo_desc_missing: "No ingresó una descripcion SEO, se usará la bajada del artículo para el análisis. La descripcion SEO se usa de preferencia para mostrar en Google y otros buscadores.",
    analisis_seo_desc_success: 'Descripción: Tu descripción tiene un largo aceptable y es legible.',
    analisis_seo_desc_title: "Descripción: {0}",
    analisis_seo_desc_word_maxlen: "La descripción contiene {0} palabras. El máximo sugerido es de {1}.",
    analisis_seo_desc_word_minlen: "La descripción contiene {0} palabras. El mínimo sugerido es de {1}. Puede ser ambiguo de interpretar.",
    analisis_seo_few_external_links: "Hay pocos enlaces externos sin atributo nofollow en tu texto. Los enlaces externos ayudan a mejorar el ranking de tu documento en resultados de búsqueda.",
    analisis_seo_few_imgs: "No se encontraron imágenes en el cuerpo de texto. Las imágenes pueden ayudar a que tu texto sea más legible." ,
    analisis_seo_html_title: 'Analisis de HTML',
    analisis_seo_missing_alt_attr: "Algunas imágenes no incluyen el atributo ALT. Agregar el atributo ALT a cada imagen hace más accesible tu texto.",
    analisis_seo_no_data: 'No se encontraron datos.',
    analisis_seo_no_external_links: "No se encontraron enlaces externos en el cuerpo de texto. Los enlaces externos ayudan a mejorar el ranking de tu documento en resultados de búsqueda.",
    analisis_seo_no_internal_links: "No se encontraron enlaces internos en el cuerpo de texto. Los enlaces internos mejoran la visibilidad de tus otras páginas y hacen tu sitio más navegable.",
    analisis_seo_only_nofollow_links: "Solamente se encontraron enlaces externos con atributo nofollow. Estos enlaces no ayudan a mejorar el ranking de este documento en resultados de búsqueda.",
    analisis_seo_server_comm_error: 'Ocurrió un error comunicando con el servidor SEO. Código de error [{0}]: {1}, {2}',
    analisis_seo_slug_char_maxlen: "Slug: El texto del enlace contiene {0} caracteres. El máximo sugerido es de {1}. El enlace al artículo debería ser legible como un titular.",
    analisis_seo_slug_char_minlen: "Slug: El texto del enlace contiene {0} caracteres. El mínimo sugerido es de {1}. Puede ser ambiguo de interpretar.",
    analisis_seo_slug_length_correct: 'Slug: El texto de la URL tiene un largo aceptable y es legible.',
    analisis_seo_slug: "Slug: {0}",
    analisis_seo_text_char_maxlen: "El cuerpo de texto contiene {0} caracteres. El máximo sugerido es de {1}.",
    analisis_seo_text_char_minlen: "El cuerpo de texto contiene {0} caracteres. El mínimo sugerido es de {1}.",
    analisis_seo_text_field_missing: 'No se encontró el campo de cuerpo de texto.',
    analisis_seo_text_word_maxlen:  "El cuerpo de texto contiene {0} palabras. El máximo sugerido es de {1}.",
    analisis_seo_text_word_minlen:  "El cuerpo de texto contiene {0} palabras. El mínimo sugerido es de {1}.",
    analisis_seo_title_char_maxlen: "El titular contiene {0}} caracteres. El máximo sugerido es de {1}. Es posible que resulte abreviado en los resultados de búsqueda en Google.",
    analisis_seo_title_char_minlen: "El titular contiene {0}} caracteres. El mínimo sugerido es de {1}. Puede ser ambiguo de interpretar.",
    analisis_seo_title_length_correct: 'Titular: Tu titular tiene un largo aceptable y es legible.',
    analisis_seo_title_required: "No ingresó un titular SEO, se usará el titular del artículo para el análisis. El titular SEO se usa de preferencia para mostrar en Google y otros buscadores.",
    analisis_seo_title_word_maxlen: "El titular contiene {0} palabras. El máximo sugerido es de {1}.",
    analisis_seo_title_word_minlen: "El titular contiene {0} palabras. El mínimo sugerido es de {1}. Puede ser ambiguo de interpretar.",
    analisis_seo_title: "Titular: {0}",
    artic_no_topic: 'Sin Temas',
    artic_no_sub_topic: 'Sin Subtemas',
    artic_select_sub_topic: 'Selecciona Subtema',
    artic_select_topic: 'Selecciona Tema',
    artic_unable_to_get_info: 'No se pudo obtener la información del artículo',
    asocfile_size_too_large: 'El tamaño del archivo que intentas subir es demasiado grande',
    asocfile_unable_upload_file: 'Ha ocurrido un error. No puedes subir el archivo seleccionado',
    calendar_april: 'Abril',
    calendar_august: 'Agosto',
    calendar_confirm_update: '¿Estás seguro de ejecutar la actualización de calendarios?',
    calendar_december: 'Diciembre',
    calendar_february: 'Febrero',
    calendar_january: 'Enero',
    calendar_july: 'Julio',
    calendar_june: 'Junio',
    calendar_march: 'Marzo',
    calendar_may: 'Mayo',
    calendar_november: 'Noviembre',
    calendar_october: 'Octubre',
    calendar_please_wait: 'El proceso se encuentra en ejecución, por favor espere.',
    calendar_regen: 'Regeneración de Calendarios',
    calendar_select: 'Selecciona',
    calendar_september: 'Septiembre',
    calendar_update: 'Actualización de calendarios',
    captcha_msg_cgi: 'Error al leer el captcha, intente de nuevo',
    captcha_msg_cgi: 'Error al leer el captcha, intente de nuevo',
    captcha_msg_system: 'Error en la implementación',
    captcha_msg_system: 'Error en la implementación',
    captcha_msg_type: 'Debe indicar el tipo de Captcha',
    captcha_msg_type: 'Debe indicar el tipo de Captcha',
    cfg_cloudflare_empty_list: 'La lista de archivos está vacía.',
    cfg_cloudflare_purge_all_ok: 'Ejecutar purge de urls',
    cfg_cloudflare_purge_all_title: 'Ejecutar Purge',
    cfg_cloudflare_purge_confirm: '¿Estás seguro? Esta operación no se puede revertir ni detener.',
    cfg_cloudflare_purge_ok: 'Ejecutar purge en Cache de contenido',
    cfg_cloudflare_purge_start: 'Se inició el proceso de limpieza. Esto puede tardar varios minutos en completarse.',
    cfg_cloudflare_purge_title: 'Purge Cache',
    cfg_cpan_no_http_required: 'El campo CPAN_SERVER_NAME debe ser una URL sin protocolo: no debe comenzar por http:// o https:// .',
    cfg_invalid_par_plt_name: '{0} es un nombre de plantilla paralela no válido.<br>  Debe contener sólo caracteres alfanuméricos, incluido el underscore. Además, debe tener una extensión válida.',
    cfg_invalid_plt_name: '{0} es un nombre de plantilla no válido.<br>  Debe contener sólo caracteres alfanuméricos, incluido el underscore. Además, debe tener una extensión válida.',
    cfg_public_server_http_required: 'El campo PUBLIC_SERVER_NAME debe ser una URL sin protocolo: no debe comenzar por http:// o https:// .',
    cfg_save_confirm: '¿Estás seguro de modificar la configuración?',
    cfg_save_title: 'Guardar Configuración',
    cfg_update_server_http_required: 'El campo UPDATE_SERVER debe ser una URL con protocolo: debe comenzar por http:// o https:// .',
    cfgxcoding_delete_format_warning: "¿Estás seguro de eliminar el formato de transcodificación?. Esta acción no se puede deshacer.",
    cfgxcoding_delete_format: 'Borrar formato de transcodificación',
    cfgxcoding_delete_mark_warning: "¿Estás seguro de eliminar la marca de transcodificación?\nSe eliminarán todos los formatos asociados. Esta acción no se puede deshacer." ,
    cfgxcoding_delete_marks: 'Borrar Marcas',
    cfgxcoding_edit_formats_label:'Modificar formatos de transcodificación',
    cfgxcoding_edit_formats_warning: "¿Estás seguro de modificar los formatos de transcodificación?",
    cfgxcoding_existing_format_error: 'Este formato ya existe.',
    cfgxcoding_format_id_error: 'Debes ingresar un identificador para el formato',
    cfgxcoding_format_indelible_error: 'Este formato no se puede eliminar',
    cfgxcoding_format_pattern_error: 'Sólo se pueden ingresar letras. No se permite Ñ, espacios, números, letras con tilde o símbolos',
    cfgxcoding_formats_error: 'Ha ocurrido un error al cargar los formatos:',
    cfgxcoding_mark_exists_error: 'Esta marca ya existe',
    cfgxcoding_mark_pattern_error:'Sólo se pueden ingresar números.',
    cfgxcoding_saved_msg:'Se han guardado correctamente los formatos',
    cfgxcoding_saving_error_msg: 'Ha ocurrido un error al guardar los formatos:',
    cfgxcoding_videosize_format_error: 'El parametro videosize no puede ser impar, formato incorrecto:\n',
    comunespass_input_new_pass: 'Debes ingresar la nueva contraseña',
    comunespass_new_pass_confirm:'Debes confirmar la nueva contraseña',
    comunespass_new_pass_maxlen: 'La contraseña no debe tener más de {0} caracteres.',
    comunespass_new_pass_minlen: 'La contraseña debe tener al menos {0} caracteres.',
    comunespass_pass_mismatch: 'Las contraseñas no coinciden',
    customtool_delete_confirm_deletion:"¿Estás seguro de eliminar el archivo de manera permanente?",
    customtool_delete_confirm_s3_deletion:"Se eliminará el archivo del almacenamiento S3 y no se podrá recuperar. ¿Estás seguro?",
    customtool_delete_error_deleting:'Error al eliminar',
    customtool_delete_error_msg: "Ocurrió un error al tratar de eliminar el archivo.",
    customtool_delete_ignore_alert: 'Ignorar esta alerta por 10 minutos.',
    customtool_delete_oktitle: "Eliminar archivo",
    dashboard_attachs_label:"Adjuntos",
    dashboard_attachss3_label:"Adjuntos S3",
    dashboard_images_label:"Imágenes",
    dashboard_images_other:"Otros",
    dashboard_multimedia_label:"Multimedia",
    dashboard_multimedias3_label:"Multimedia S3",
    editor_confirm_save: "¿Deseas guardar el archivo?",
    editor_error_loading_folder: 'No se pudo cargar la carpeta seleccionada.',
    editor_filename_no_ext: "[nombre sin extensión]",
    editor_invalid_params: 'Parámetros no válidos para {0}',
    editor_langmap_1_item_selected_of: "1 elemento seleccionado {0}",
    editor_langmap_1_item_selected: "1 elemento seleccionado",
    editor_langmap_1_item: "1 elemento",
    editor_langmap_back_to: 'Retroceder a "{0}" (Alt + Flecha Izq.)',
    editor_langmap_back:"Retroceder (Alt + Flecha Izq.)",
    editor_langmap_download: 'Descargar',
    editor_langmap_empty_folder:"La carpeta está vacía.",
    editor_langmap_forward_to: 'Avanzar a "{0}" (Alt + Flecha Der.)',
    editor_langmap_forward: "Avanzar (Alt + Flecha Der.)",
    editor_langmap_n_elems:  "{0} elemento(s)",
    editor_langmap_n_items_selected: "{0} elementos seleccionados",
    editor_langmap_n_selected_elems_of: "{0} elementos seleccionados {1}",
    editor_langmap_new_file: 'Nuevo archivo',
    editor_langmap_new_folder: 'Nueva carpeta',
    editor_langmap_recent: "Ubicaciones recientes",
    editor_langmap_up_to: 'Ir hasta "{0}" (Alt + Flecha Arriba)',
    editor_langmap_up:"Arriba (Alt + Flecha Arriba)",
    editor_langmap_upload_file: 'Subir archivo',
    editor_save_error: "Ocurrió un error al tratar de guardar el archivo.",
    editor_server_error_ajax_request: "Server error procesando request ajax:\nURL invocada:",
    editor_snippets_desc: 'Los Snippets son trozos de código útiles personalizables que pueden ser incrustados en cualquier tipo de archivo a través de este Editor.\n\nLos Snippets disponibles se cargan automáticamente desde los archivos del directorio {0}/plantillas/snippets/',
    editor_syntax_if: "Ingrese parámetros para el if, opciones:\n- Nombre variable (ej: _txt_bajada) ó Variable=valor (ej: NOMBRE=juanito)",
    editor_syntax_ivf_nifv: "Ingrese parámetros para {0}: div,res (ej: 2,1)",
    editor_syntax_loop: "Ingrese número del loop (ej: 1)",
    editor_syntax_macro: "Ingrese nombre de archivo de macro (ej: mimacro.html)",
    editor_syntax_nif: "Ingrese nombre de la variable para el nif (ej: _txt_bajada)",
    eventosplataforma_select_option: 'Debes elegir una de las opciones anteriores',
    eventosredes_app_yt: 'Autorizar la aplicación YouTube',
    eventosredes_not_token: 'No fue posible obtener el token solicitado.',
    eventosredes_oauth_token: 'OAuth Token obtenido correctamente.',
    eventosredes_posting_fb: 'Cómo obtener las credenciales para posting en Facebook',
    eventosredes_refresh_token: 'Refresh Token obtenido correctamente.',
    eventosreindex_confirm_search: '¿Estás seguro de regenerar los índices del buscador?',
    eventosreindex_error_ajax_server: 'Error de servidor procesando consulta AJAX:\nURL invocada:',
    eventosreindex_error_ajax: 'Error de servidor procesando consulta AJAX.<br>URL invocada:{0}<br>Resultado=Archivo no encontrado.',
    eventosreindex_error_script: 'Error al procesar el script, refresca la página para continuar',
    eventosreindex_search: 'Regenerar los índices del buscador',
    eventosreindex_title: 'Regenerar índices',
    fid_artic_copy_confirm_ok: 'Copiar Artículo',
    fid_artic_copy_msg: 'Este artículo será copiado. Se perderán los datos que no hayas guardado.<br>¿Deseas continuar?',
    fid_artic_copy_url: 'La URL ha sido copiada',
    fid_artic_diff_no_info_msg: 'No hay versiones anteriores para este campo y artículo',
    fid_artic_diff_no_info: 'No se encontró información',
    fid_artic_form_required_fields: 'Debe ingresar el campo [Mensaje de autorrespuesta (e-mail)] o el campo [Mensaje de autorrespuesta (html)].',
    fid_artic_mod_date: 'Modificado el {0} a las {1}',
    fid_artic_mod_minute_ago: 'Modificado hace un minuto',
    fid_artic_mod_minutes_ago: 'Modificado hace {0} minutos',
    fid_artic_mod_no_info: 'Sin información',
    fid_artic_mod_seconds_ago: 'Modificado hace unos segundos',
    fid_artic_mod_today: 'Modificado hoy a las {0} hrs.',
    fid_artic_mod_yesterday: 'Modificado ayer a las {0} hrs.',
    fid_artic_save_error: 'Error al intentar guardar',
    fid_artic_size_too_large: 'Los archivos que intentas subir pesan en total {0}MB. El tamaño máximo es {1}MB. Por favor descarta algunos archivos y reintenta, o contacta al administrador del sistema.',
    fid_artic_title_too_long: 'El titular contiene más de 60 caracteres ({0}), es probable que aparezca abreviado en los resultados de búsqueda en Google.',
    fid_artic_urlf5_artic_conflict: 'Se ha encontrado un artículo que tiene la misma url',
    fid_artic_urlf5_changed_create_redir: 'Crear redirección para la url antigua',
    fid_artic_urlf5_changed_do_nothing: 'Continuar guardado sin hacer nada',
    fid_artic_urlf5_changed_msg: '¿Estás seguro de continuar?, La antigua url responderá con un error 404. Esto se puede resolver creando una redirección para la url antigua.',
    fid_artic_urlf5_changed: 'La url del artículo ha cambiado',
    fid_artic_urlf5_correct: 'La URL es correcta y se puede usar.',
    fid_artic_urlf5_port_conflict: 'Se ha encontrado un portada que tiene la misma url',
    fid_artic_urlf5_prefix: 'Prefijo de url activado. Todas las url comenzarán con "{0}"',
    fid_chart_asocfile_label: 'Adjuntos: ',
    fid_chart_asocfile_s3_label:'Adjuntos S3: ',
    fid_chart_disk_label: 'Disco local: ',
    fid_chart_disk_s3_label: 'Almacenamiento S3: ',
    fid_chart_img_label: 'Imágenes: ',
    fid_chart_media_label: 'Multimedia: ',
    fid_chart_media_s3_label:'Multimedia S3: ',
    fid_date_unknown_type: 'tipo desconocido: {0}',
    fid_direct_publish_at_1: 'Publicación directa en ',
    fid_direct_publish_edic: 'Edición',
    fid_direct_publish_port_area: "Portada '{0}' - Área {1}",
    fid_edit_title:'Editar ',
    fid_editor_audio_id_exists: 'Ya existe un audio con ese ID.',
    fid_editor_audio_id_number: 'El ID del audio debe ser numérico.',
    fid_editor_audio_id_required: 'El ID del audio es obligatorio.',
    fid_editor_audio_name_alpha: 'El nombre del audio debe contener solo caracteres alfanuméricos.',
    fid_editor_audio_name_required: 'El nombre del audio es obligatorio.',
    fid_editor_cant_save: 'No se pudo guardar el FID: {0}',
    fid_editor_configure_asocfile: 'Configurar ADJUNTO',
    fid_editor_configure_asocfile_help: 'Muestra la interfaz de carga de archivos adjuntos a un FID. Los campos ADJUNTO típicamente llevan el prefijo "asocfile_", resultando en marcas Prontus como "asocfile_archivo_especifico".',
    fid_editor_configure_audio: 'Configurar AUDIO',
    fid_editor_configure_audio_help: 'Un panel con los widgets necesarios para cargar, editar y embeber archivos de audio. El ID del panel AUDIO debe ser un número único, resultando en una marca Prontus como "multimedia_audio[numero]".',
    fid_editor_configure_checkbox: 'Configurar CHECKBOX',
    fid_editor_configure_checkbox_help: 'Un campo HTML checkbox, con un valor específico.',
    fid_editor_configure_combobox: 'Configurar COMBOBOX',
    fid_editor_configure_combobox_help: 'Un campo HTML select, poblado con opciones.',
    fid_editor_configure_gallery: 'Configurar GALERIA',
    fid_editor_configure_gallery_help: 'Permite la carga masiva de imágenes y la administración de múltiples imágenes en una galería.',
    fid_editor_configure_input: 'Configurar INPUT',
    fid_editor_configure_input_help: 'Un campo input HTML de tipo texto.',
    fid_editor_configure_macro: 'Configurar MACRO',
    fid_editor_configure_macro_help: 'Permite seleccionar y embeber una macro Prontus en un panel.',
    fid_editor_configure_panel: 'Configurar PANEL',
    fid_editor_configure_panel_help: 'Un contenedor genérico para campos HTML comunes.',
    fid_editor_configure_photo: 'Configurar FOTO',
    fid_editor_configure_photo_help: 'Un control para cargar y editar una imagen. El campo FOTO típicamente usa el prefijo "fotofija_" resultando en marcas Prontus como "fotofija_imagen_especifica".',
    fid_editor_configure_tabs: 'Configurar TABS',
    fid_editor_configure_tabs_help: 'El panel TABS permite armar sub-paneles con estructura de tabs: un sub-panel visible y los demás accesibles a través de los botones de tab.',
    fid_editor_configure_textarea: 'Configurar TEXTAREA',
    fid_editor_configure_textarea_help: 'Un campo HTML textarea.',
    fid_editor_configure_video: 'Configurar VIDEO',
    fid_editor_configure_video_help: 'Un panel con los widgets necesarios para cargar, editar y embeber archivos de video. El ID del panel VIDEO debe ser un número único, resultando en una marca Prontus como "multimedia_video[numero]".',
    fid_editor_configure_vtxt: 'Configurar VTXT',
    fid_editor_configure_vtxt_help: 'Agrega un editor WYSIWYG a un panel. El ID del control VTXT debe ser un número único, resultando en una marca Prontus como "vtxt_cuerpo[numero]".',
    fid_editor_css_class_alpha: 'Puedes agregar una o más clases CSS separadas por espacios. Deben contener solo caracteres alfanuméricos.',
    fid_editor_delete_field_msg: 'Este campo será eliminado del FID. Tenga en cuenta que los datos asociados a este campo serán eliminados del artículo una vez que lo guarde y no se podrán recuperar.',
    fid_editor_delete_field_ok: 'Borrar Campo',
    fid_editor_delete_gallery_msg: 'Esta galería será eliminada del FID. Tenga en cuenta que todos los campos asociados a la galería serán eliminados del artículo una vez que lo guarde y no se podrán recuperar.',
    fid_editor_delete_gallery_ok: 'Borrar Galería',
    fid_editor_delete_msg: 'El FID será eliminado y no se podrá recuperar',
    fid_editor_delete_ok: 'Borrar FID',
    fid_editor_delete_panel_msg: "Este panel será eliminado del FID. Tenga en cuenta que todos los campos asociados a este panel serán eliminados del artículo una vez que lo guarde y no se podrán recuperar.",
    fid_editor_delete_panel_ok: 'Borrar Panel',
    fid_editor_delete_tab_msg: 'Este tab será eliminado del FID. Tenga en cuenta que todos los campos asociados a este tab serán eliminados del artículo una vez que lo guarde y no se podrán recuperar.',
    fid_editor_delete_tab_ok: 'Borrar Tab',
    fid_editor_edit_asocfile:'Editar ADJUNTO',
    fid_editor_edit_audio: 'Editar AUDIO',
    fid_editor_edit_checkbox: 'Editar CHECKBOX',
    fid_editor_edit_combobox: 'Editar COMBOBOX',
    fid_editor_edit_gallery: 'Editar GALERIA',
    fid_editor_edit_input: 'Editar INPUT',
    fid_editor_edit_macro: 'Editar MACRO',
    fid_editor_edit_msg: 'Editar FID existente.',
    fid_editor_edit_panel: 'Editar PANEL',
    fid_editor_edit_photo: 'Editar FOTO',
    fid_editor_edit_tab: 'Editar TABS',
    fid_editor_edit_textarea: 'Editar TEXTAREA',
    fid_editor_edit_video: 'Editar VIDEO',
    fid_editor_edit_vtxt: 'Editar VTXT',
    fid_editor_edit: 'Editar FID',
    fid_editor_empty_msg: 'Agrega al menos un panel antes de guardar.',
    fid_editor_empty_title: 'No se puede guardar un FID vacío',
    fid_editor_field_name_alpha: 'El nombre del campo debe contener solo caracteres alfanuméricos y espacios.',
    fid_editor_field_name_required: 'El nombre del campo es obligatorio.',
    fid_editor_field_tag_exists: "Ya existe un campo con la marca '{0}'.",
    fid_editor_field_value_required: 'El valor del campo es obligatorio.',
    fid_editor_gallery_size_number: 'Los tamaños de las fotos deben ser numéricos.',
    fid_editor_gallery: 'Galeria de Fotos',
    fid_editor_new: 'Agregar nuevo FID',
    fid_editor_no_fid_config: 'No se pudo obtener la configuración del FID: {0}',
    fid_editor_panel_name_alpha: 'El nombre del panel debe contener solo caracteres alfanuméricos.',
    fid_editor_panel_name_alpha: 'El nombre del panel debe contener solo caracteres alfanuméricos.',
    fid_editor_panel_name_required: 'El nombre del panel es obligatorio.',
    fid_editor_panel_name_required: 'El nombre del panel es obligatorio.',
    fid_editor_save_confirm: 'Esta acción sobreescribe la plantilla de artículo existente para mostrar las marcas definidas en el FID.<br> No puede deshacerse.<br><br> ¿Estás seguro?',
    fid_editor_save_error: 'No se pudo generar la plantilla básica: {0}',
    fid_editor_save_ok: 'Generar/Actualizar Plantilla de Artículo',
    fid_editor_tag_name_alpha: 'El nombre de la marca debe contener solo caracteres alfanuméricos.',
    fid_editor_tag_name_required: 'El nombre de la marca es obligatorio.',
    fid_editor_video_id_exists: 'Ya existe un video con ese ID.',
    fid_editor_video_id_number: 'El ID del video debe ser numérico',
    fid_editor_video_id_required: 'El ID del video es obligatorio.',
    fid_editor_video_name_alpha: 'El nombre del video debe contener solo caracteres alfanuméricos.',
    fid_editor_video_name_required: 'El nombre del video es obligatorio.',
    fid_editor_vtxt_id_exists: 'Ya existe un VTXT con ese ID.',
    fid_editor_vtxt_id_number: 'El ID del VTXT debe ser numérico.',
    fid_editor_vtxt_id_required: 'El id del VTXT obligatorio.',
    fid_editor_wait_prepare: 'Por favor espera mientras Prontus prepara el FID',
    fid_facebook_posting_disabled: 'El posting a Facebook no está habilitado para artículos nuevos. Guarda el artículo para poder publicarlo.',
    fid_form_data_encoding_default: 'POR DEFECTO',
    fid_form_data_encoding_msg: 'Elige qué tipo de codificación de caracteres tendrá el archivo CSV a generar.',
    fid_form_data_encoding: 'Tipo de codificación',
    fid_form_delete_data_final_confirm_title: 'Borrado de datos',
    fid_form_delete_data_second_confirm_title: '¿Estás seguro de continuar con el borrado?, los datos borrados no se podrán recuperar. Esta acción es irreversible.',
    fid_form_delete_data_second_confirm:'Confirmar Operación Irreversible',
    fid_form_delete_data_title: 'Borrar Todos los Datos',
    fid_form_delete_data: 'Confirmar Borrado',
    fid_form_email_admin_invalid: 'El campo [E-mail de destino] debe contener uno o más email válidos, separados por comas.',
    fid_form_email_admin_required: 'El campo [E-mail de destino] no puede ser vacío.',
    fid_form_email_from_invalid: 'El campo [E-mail para la respuesta] debe ser un email válido.',
    fid_form_email_from_required: 'El campo [E-mail para la respuesta] no puede ser vacío.',
    fid_form_error_msg_required: 'El campo [Mensaje de error] no puede ser vacío.',
    fid_form_subject_required :'Campo [Asunto] no puede ser vacío.',
    fid_form_subject_sender_required: 'Campo [Asunto para el remitente] no puede ser vacío.',
    fid_form_success_msg_required: 'El campo [Mensaje de éxito] no puede ser vacío.',
    fid_general_error: 'Ha ocurrido un error al procesar la solicitud',
    fid_new_title: 'Nuevo ',
    fid_snp_push_label: 'Notificación push',
    fid_snp_push_send_error: 'Error en el envío: {0}',
    fid_snp_push_send_ok: 'Notificación enviada con éxito.',
    fid_snp_select_option: 'No se ha seleccionado ninguna opción de envío',
    fid_snp_send_confirm_msg: 'Se enviará una notificación push a todos los suscriptores. <br>¿Deseas continuar?',
    fid_snp_send_confirm_ok: 'Enviar notificación',
    fid_twitter_posting_disabled: 'El posting a Twitter no está habilitado para artículos nuevos. Guarda el artículo para poder publicarlo.',
    fid_wait_loading_new_type: 'Por favor espera mientras Prontus carga el nuevo tipo de artículo.',
    fid_youtube_posting_disabled: 'El posting a Youtube no está habilitado para artículos nuevos. Guarda el artículo para poder publicarlo.',
    fidconfig_alert:'Antes debes guardar el Artículo',
    fidconfig_confirm: "¿Estás seguro que quieres eliminar todos los datos y archivos adjuntos recibidos por este formulario? <br>Esta operación no se puede deshacer.",
    fidconfig_loading:'El FID aún no termina de cargar o ha fallado la carga. Por favor, refresca el FID antes de guardar',
    global_ajax_error: 'Server error procesando request ajax',
    global_alert: "Alerta",
    global_cancel_label: 'Cancelar',
    global_confirm: 'Confirmación',
    global_continue_label: 'Continuar',
    global_date_format: '{0} de {1} de {2}',
    global_delete_label:'Borrar',
    global_delete_title: 'Eliminar',
    global_delete_url: 'Borrar URL',
    global_error_int: 'Ha ocurrido un error: {0}',
    global_error_not_delete: 'Error, no se pudo eliminar',
    global_error_occurred: 'Ocurrió un error',
    global_error_refresh:"Error al procesar, recarga la página para continuar",
    global_error_retry: 'Ocurrió un error, inténtalo nuevamente',
    global_error_title: 'Error',
    global_file_import: 'Debes ingresar un archivo para Importar.',
    global_file_too_large:'El tamaño del archivo que intentas subir es demasiado grande.',
    global_finished_label: 'Terminado',
    global_help_label: 'Ayuda',
    global_info_title: 'Información',
    global_invalid_filetype: 'No puedes subir archivos de este tipo.',
    global_invalid_format: 'Formato de archivo no válido',
    global_label_all_f: 'Todas',
    global_label_all_m: 'Todos',
    global_label_no: 'No',
    global_label_unlimited: 'Sin límite',
    global_label_yes: 'Sí',
    global_list_pagination: "{0}-{1} de {2}",
    global_load_error:'Error al cargar',
    global_load: 'Cargando',
    global_missing_id:'ERROR: id not found.',
    global_missing_method: 'El método {0} no existe.',
    global_new_label: 'Nuevo',
    global_processing_label: 'Procesando',
    global_published: 'El artículo está publicado',
    global_result_title: 'Resultado',
    global_save_changes_label: 'Guardar cambios',
    global_save_label: 'Guardar',
    global_save_setting: 'Guardar Configuración',
    global_server_error: 'Error de servidor',
    global_server_msg: 'Mensaje del servidor',
    global_success: 'Éxito',
    global_supported_filetypes:'El sistema sólo soporta archivos del tipo: {0}',
    global_unassigned: "Sin asignar",
    global_unavailable: 'No disponible',
    global_unpublished: 'El artículo no está publicado',
    global_update_label: 'Actualizar',
    global_upload_error: 'Ha ocurrido un error. No puedes subir el archivo seleccionado [{0}]',
    global_wait_saving_msg: 'Por favor espera mientras se guarda la configuración.',
    help_error_reporting_guide: "Para reportar un error, completa el mensaje con la siguiente información:<br><br>* Asunto: Resumen del problema, por ejemplo, 'No se pueden subir fotos'.<br>* Mensaje: Descripción del problema lo más detallado posible, incluir idealmente los pasos para reproducir el problema y los datos utilizados.",
    help_label_warning: 'Advertencia',
    help_prontus_constrain_mail: 'Debes indicar Email',
    help_prontus_constrain_msg: 'Debes ingresar un Mensaje',
    help_prontus_constrain_name: 'Debes indicar Nombre',
    help_prontus_constrain_subject: 'Debes indicar el Asunto',
    help_prontus_constrain_type: 'Debes indicar el Motivo de Contacto',
    img_edit_change_img_confirm: 'Al cambiar de foto tus cambios se perderán. ¿Estás seguro?',
    img_edit_close_editor: 'No, cerrar el editor',
    img_edit_confirm_changes_cancel: 'No, continuar la edición',
    img_edit_confirm_changes_ok: 'Si, aplicar cambios',
    img_edit_confirm_changes: '¿Estás seguro de aplicar los cambios?',
    img_edit_continue_confirm: 'Si, deseo continuar',
    img_edit_continue_edit: 'Continuar editando la imagen',
    img_edit_discard_changes_confirm: 'Vas a descartar los cambios hechos ¿Estás seguro?',
    img_edit_discard_changes: 'Descartar cambios',
    img_edit_no_changes_continue: 'No hay cambios que aplicar. ¿Deseas continuar editando la imagen?',
    img_edit_numeric_height: 'El alto de la foto debe ser numérico.',
    img_edit_numeric_width: 'El ancho de la foto debe ser numérico.',
    img_edit_proccess_error: 'Ocurrió un error al procesar la imagen, inténtalo nuevamente.',
    img_edit_resize_minimun_height: 'El alto de la foto redimensionada no puede ser mayor a {0} pixeles.',
    img_edit_resize_minimun_width: 'El ancho de la foto redimensionada no puede ser mayor a {0} pixeles.',
    img_edit_tool_change_warning: 'Al cambiar de herramienta tus cambios se perderán. ¿Estás seguro?',
    list_actions_delete_article_confirm: "El artículo será eliminado. ¿Estás seguro?",
    list_artic_ports_published: 'Edición: [{0}] - Portadas: [{1}]',
    list_artic_published: 'El artículo está publicado en portadas',
    list_artic_quick_edit_confirm: 'El artículo será modificado. ¿Estás seguro?',
    list_artic_unpublished: 'El artículo no está publicado en portadas',
    list_delete_artic_result: 'Se eliminaron {0} artículos',
    list_delete_artic_warnings: ', con observaciones:<br></br>',
    list_delete_error_articles_not_found: 'Los siguientes artículos no existen:',
    list_delete_error_articles_published: 'Los siguientes artículos no se pueden borrar porque están publicados en una o más portadas:',
    list_delete_max_artics: 'Solo puedes eliminar simultáneamente 10 artículos.',
    list_delete_multiple_article: 'Se eliminarán los elementos seleccionados. ¿Estás seguro?',
    list_delete_result : 'Se eliminaron {0} artículos',
    list_delete_result_title: 'Eliminación de artículos',
    list_unable_delete_search: 'No se pudo borrar la búsqueda.<br><br>Mensaje del servidor: {0}',
    list_unable_load_search_result: 'No se pudo cargar el listado de búsquedas.<br><br>Mensaje del servidor: {0}',
    login_error_updating: 'Ha ocurrido un error durante el proceso de actualización',
    login_input_password: 'Ingresa contraseña',
    login_input_user:'Ingresa usuario',
    login_please_wait:'Por favor espere...',
    login_post_update_tasks:'Realizando tareas posteriores a la actualización: {0}%',
    login_prontus_error_warning:'Es posible que Prontus no funcione correctamente si no se soluciona',
    login_to_prontus:'Ingresando a Prontus',
    mam_days_at_time: '{0} a las {1}.',
    mam_delete_error:'Error al borrar: {0}',
    mam_delete_success:'Relato borrado con éxito.',
    mam_delete_warning:"El relato será eliminado. ¿Estás seguro?",
    mam_hours_ago: 'Hace {0} horas',
    mam_list_error: 'Error al listar: {0}',
    mam_minutes_ago: 'Hace {0} minuto{1}',
    mam_one_hour_ago:'Hace una hora aproximadamente',
    mam_one_min_ago:'Hace un minuto aproximadamente',
    mam_save_error: 'Error en el guardado: {0}',
    mam_save_success: 'Relato guardado con éxito.',
    mam_save_warning:'Debe guardar el artículo para poder usar el Minuto a Minuto',
    mam_seconds_ago:'Hace pocos segundos',
    mam_title:'Minuto a minuto',
    mantenedormultitag_copy_label: 'Copiar enlace',
    mantenedormultitag_edit_label: 'Editar',
    mantenedormultitag_friendlyurl_required: 'La Friendly URL es obligatoria.',
    mantenedormultitag_input_file_needed:'Debes ingresar un archivo para Importar.',
    mantenedormultitag_irreversible_warning:  "Esta operación es irreversible. ¿Estás seguro?",
    mantenedormultitag_name_required: 'El nombre es obligatorio.',
    mantenedormultitag_results_info: '<strong>Resultados:</strong> {0} a {1} de {2} | <strong>Páginas:</strong>',
    mantenedormultitag_update_select_confirm: "Se actualizarán los selectores de Tags Jerárquicos. ¿Deseas continuar?",
    mantenedormultitag_update_select_error: "Ocurrió un error al tratar de actualizar: {0}",
    mantenedormultitag_update_select_success: "Vistas de selectores actualizadas.",
    mantenedormultitag_update_views_confirm: "Se actualizarán las vistas. Usa esta función si has hecho cambios a los tags o a sus plantillas. ¿Deseas continuar?",
    mantenedormultitag_update_views_error: "Ocurrió un error al tratar de actualizar las vistas de tags jerárquicos. Inténtalo nuevamente más tarde.",
    mantenedormultitag_update_views_success: "Se actualizaron las vistas de tags jerárquicos.",
    mediamanager_all_label:'Todas',
    mediamanager_bulk_delete_confirm: "Se eliminaran todas las imágenes de la galería de fotos. ¿Estás seguro?",
    mediamanager_cancel_confirm: "Sí, cancelar los cambios",
    mediamanager_cancel_discard: "Continuar la edición",
    mediamanager_cancel_warning:"Al cancelar, tus cambios se perderán. ¿Estás seguro de cancelar tus cambios?",
    mediamanager_delete_confirm:"Esta imagen se eliminará de la galería de fotos publicada. ¿Estás seguro que deseas eliminar esta imagen?",
    mediamanager_dragandrop_help:"Arrastra imágenes desde el Banco de imágenes del artículo.\n\n",
    mediamanager_duplicate_fields_warning: "Advertencia: los siguientes campos de foto están duplicados y necesitan ser corregidos:\n\n{0}",
    mediamanager_files_discarded:'Se descartaron algunos archivos inválidos: {0}',
    mediamanager_gallery_config_error:"Error en configuracion de galería: {0}",
    mediamanager_images_uploaded_success:'Las imágenes se agregaron exitosamente.',
    mediamanager_processing_error:'El servidor ha demorado mucho en procesar tu archivo, intenta subir uno más pequeño.',
    mediamanager_server_error: 'Ha ocurrido un error en el servidor, intenta con otro archivo.',
    mediamanager_showing_elems: 'Mostrando {0}-{1} de {2}',
    mediamanager_uploaded_files: 'Se subieron {0} archivos en total.',
    mediamanager_uploading_files: 'Subiendo {0} archivos...',
    mediamanager_uploading_processing: 'Subiendo y procesando archivo...',
    multiselect_lang_allSelectedText: 'Todas seleccionadas',
    multiselect_lang_nonSelectedText: 'Ninguna seleccionada',
    multiselect_lang_nSelectedText: 'seleccionada',
    multiselect_lang_selectAllText: ' Seleccionar todas',
    opciones_open_log_error:'No fue posible abrir el log.',
    portadmin_area_changed_warning:"La portada tiene cambios. Primero debes guardarla antes de continuar.",
    portadmin_area_info_label: "Información sobre el área seleccionada",
    portadmin_area_restrictions: "<p>No fue posible guardar la portada ya que una o más areas tienen restricciones que no lo permiten.</p>",
    portadmin_area_wrong_fid: "El área seleccionada no permite la publicación de artículos '{0}'. Solo se permiten los siguientes: {1}",
    portadmin_areas_name: 'Área {0}: {1}',
    portadmin_areas: 'Área {0}',
    portadmin_art_limits: "<strong>Límite de artículos</strong>: {1}",
    portadmin_article_delete_confirm: "El artículo: {0}({1}), será eliminado. ¿Estás seguro?",
    portadmin_article_published: "El artículo está publicado",
    portadmin_arts_in_area: "<strong>Número de artículos en el área</strong>: {0}",
    portadmin_delete_edic_confirm: 'La edición será eliminada. ¿Estás seguro?',
    portadmin_delete_edic_error: 'La edición no se eliminar.<br><br>Mensaje del servidor: {0}',
    portadmin_delete_port_confirm: 'La portada seleccionada será eliminada. ¿Estás seguro?',
    portadmin_delete_port_error: 'La portada no se pudo eliminar.<br><br>Mensaje del servidor: {0}',
    portadmin_depub_save_txt: "Despublicar y guardar",
    portadmin_depub_txt: "Solo despublicar",
    portadmin_depub_warning:'La despublicación automática considera lo siguiente:',
    portadmin_edic_ports: "Edición: [{0}] - Portadas: [{1}], ",
    portadmin_edic_save_confirm: 'La edición se guardará. ¿Estás seguro?',
    portadmin_edic_save_error: 'La edición no se pudo guardar.<br><br>Mensaje del servidor: {0}',
    portadmin_edic_swap_confirm: 'La edición se cambiará como {0}. ¿Estás seguro?',
    portadmin_edic_swap_error: 'No se pudo modificar la edición.<br><br>Mensaje del servidor: {0}',
    portadmin_error_save_port_title: 'Error al guardar la portada',
    portadmin_fids_allowed:"<strong>Fids permitidos</strong>: {0}",
    portadmin_incompatible_arts:'<strong>Artículos incompatibles</strong>',
    portadmin_limit_breached: "{0} (Sobrepasado)",
    portadmin_loading_art_list_error: "No se pudo obtener el listado de artículos.<br><br>Mensaje del servidor: {0}",
    portadmin_loading_port_error: 'Los datos recibidos no corresponden a la portada solicitada [{0}] [{1}]',
    portadmin_loading_port: 'Cargando datos de la portada...',
    portadmin_loading_tax_error: 'Error al cargar taxonomias: {0} {1}',
    portadmin_manual_solution_txt: 'Solucionar manualmente',
    portadmin_max_arts_warning:"Se ha alcanzado el número máximo de artículos permitidos en el área ({0}). Si quieres agregarlo, primero debes hacer espacio.",
    portadmin_max: '(Máximo: {0})',
    portadmin_mod_date: 'Modificada el {0}',
    portadmin_mod_minute_ago: 'Modificada hace un minuto',
    portadmin_mod_minutes_ago: 'Modificada hace {0} minutos',
    portadmin_mod_no_info: 'Sin información',
    portadmin_mod_seconds_ago: 'Modificada hace unos segundos',
    portadmin_mod_today: 'Modificada hoy a las {0} hrs.',
    portadmin_mod_yesterday: 'Modificada ayer a las {0} hrs.',
    portadmin_no_areas: 'No existen áreas.',
    portadmin_overwrite_confirm: 'La portada ha sido modificada por otro usuario. Al realizar esta acción esos cambios se perderán. ¿Estás seguro de querer continuar?',
    portadmin_port_article_count: ' artículos encontrados',
    portadmin_port_cant_save: 'La portada no se pudo guardar.<br><br>Mensaje del servidor: {0}',
    portadmin_port_changed: "La portada ha sido modificada. Al realizar esta acción los cambios se perderán.",
    portadmin_port_duplicate_confirm: 'Se duplicará la portada seleccionada. ¿Estás seguro?',
    portadmin_port_duplicate_equal: 'Las portadas seleccionadas son iguales. Selecciona portadas distintas para intercambiar',
    portadmin_port_duplicate_error: 'La portada no se pudo duplicar.<br><br>Mensaje del servidor: {0}',
    portadmin_port_duplicate_ok: 'Duplicar',
    portadmin_port_swap_confirm: 'Las portadas seleccionadas serán intercambiadas. ¿Estás seguro?',
    portadmin_port_swap_error: 'La portada no se pudo intercambiar.<br><br>Mensaje del servidor: {0}',
    portadmin_port_swap_ok: 'Intercambiar',
    portadmin_port_unpublished: "La portada no está publicada.",
    portadmin_ports_edics_unavailable:"No se pudo obtener la variable de configuración 'ports_edics'.<br><br>Mensaje del servidor: {0}",
    portadmin_publish_port: "La portada se publicará. ¿Estás seguro?",
    portadmin_remove_incompatible_arts: 'Quitar artículos incompatibles (fids no permitidos).',
    portadmin_remove_max_artics: 'Quitar el número de artículos necesarios para no superar el limite. Se hará de abajo hacia arriba.',
    portadmin_save_changes: "La portada ha sido modificada. Debes guardar para conservar los cambios.",
    portadmin_save_port_ok: 'Portada guardada correctamente',
    portadmin_select_port_version: 'Selecione una version anterior de la portada',
    portadmin_type_max:'(Tipo: {0}. Máximo: {1})' ,
    portadmin_type: '(Tipo: {0})',
    portadmin_unpublish_port: "La portada se despublicará. ¿Estás seguro?",
    posting_tw_title_required: 'El titular es obligatorio para publicar a Twitter.',
    posting_tw_validation_error: 'Error de validación al enviar a Twitter.',
    posting_tw_error_posting: 'Error al enviar el tweet. Error: {error}, código: {code}.',
    posting_tw_posted: 'Tweet publicado exitosamente con id #{tweet_id}.',
    postingfacebook_error_send: 'Error de validación al enviar a Facebook.',
    postingfacebook_error: 'Ocurrió un error: ',
    postingfacebook_required_description: 'La descripción es obligatoria para publicar a Facebook.',
    postingyoutube_confirm_published: 'Este artículo ya había sido publicado a YouTube. ¿Estás seguro de volver a publicar?',
    postingyoutube_process_finished: 'Proceso Terminado',
    postingyoutube_published: 'Este artículo ya fue publicado en YouTube.',
    postingyoutube_required_description: 'La descripción es obligatoria para compartir video a YouTube.',
    postingyoutube_required_tag: 'Debes indicar, por lo menos, un tag para el video.',
    postingyoutube_required_tax: 'Debes seleccionar una categoría.',
    postingyoutube_required_title: 'El titular es obligatorio para compartir video a YouTube',
    postingyoutube_upload_video: 'Cargando el video a YouTube.',
    postingyoutube_validation_error: 'Error de validación al enviar a YouTube.',
    profileadmin_add_label: "Agregar Nuevo Perfil",
    profileadmin_confirm: '¿Estás seguro de borrar este perfil?',
    profileadmin_delete_label: 'Borrar Perfil',
    profileadmin_edit_label: "Editar Perfil",
    prontus_edit_copy_error_long: "Ocurrió un error al tratar de copiar el archivo.",
    prontus_edit_copy_error:"Error al copiar",
    prontus_edit_copy_file_label: "Copiar Archivo",
    prontus_edit_copy_label: 'Copiar',
    prontus_edit_create_dir_error_label:"Error al crear directorio",
    prontus_edit_create_dir_error: "Ocurrió un error al tratar de crear el directorio.",
    prontus_edit_create_dir_label: "Crear directorio",
    prontus_edit_create_error_label: 'Error al crear el archivo',
    prontus_edit_create_error: "Ocurrió un error al tratar de crear el archivo.",
    prontus_edit_create_file_label:"Crear archivo",
    prontus_edit_create_label: "Crear",
    prontus_edit_delete_error_label: 'Error al eliminar',
    prontus_edit_delete_error:  "Ocurrió un error al tratar de eliminar el archivo.",
    prontus_edit_delete_file: "Eliminar archivo",
    prontus_edit_delete_warning: "Se eliminará el archivo y no se podrá recuperar. ¿Estás seguro?",
    prontus_edit_dirname_ph: 'Nombre del directorio',
    prontus_edit_end_filename_ph:'Nombre del archivo de destino',
    prontus_edit_filename_label: 'Ingresa Nombre del Archivo',
    prontus_edit_filename_ph: 'Nombre del Archivo',
    prontus_edit_input_dirname: 'Ingresa Directorio',
    prontus_edit_input_valid_ext:'Ingresa una extensión válida',
    prontus_edit_invalid_name_warning:'Ingresa un nombre válido',
    prontus_edit_new_filename_ph:'Nuevo nombre del archivo',
    prontus_edit_rename_error_label: "Error al renombrar",
    prontus_edit_rename_error:"Ocurrió un error al tratar de renombrar el archivo.",
    prontus_edit_rename_label: 'Renombrar',
    prontus_img_url_required: 'Debes ingresar una url de imagen válida',
    prontus_list_load_error: "No se pudo cargar el listado de notificaciones: {0}",
    prontus_msg_required: 'Debes indicar Mensaje',
    prontus_notification_error: 'Ocurrió un error al enviar: {0}',
    prontus_notification_label: 'Notificación push',
    prontus_notification_success: 'Notificación enviada con éxito.',
    prontus_send_notification_label: 'Enviar notificación',
    prontus_send_notification_msg: "Se enviará una notificación push a todos los suscriptores. <br>¿Deseas continuar?",
    prontus_title_required: 'Debes indicar Título',
    prontus_url_required: 'Debes indicar URL',
    prontus_valid_url_required: 'Debes ingresar una url válida',
    prontus_wait_loading_info: 'Por favor espera mientras Prontus carga la información',
    prontus_wait_saving_file: 'Por favor espera mientras Prontus guarda el artículo.',
    recordarpass_enter_user: 'Debes ingresar el usuario',
    recordarpass_new_pass: 'La nueva contraseña ha sido enviada a tu email registrado en Prontus.',
    recordarpass_validation_code: 'Debes ingresar el código de validación',
    regen_artic_date_format_2: 'El formato de la fecha no es válido, intente dd-mm-yyyy.',
    regen_artic_date_format: 'El formato de la fecha no es válido, intente yyyymmddHHmmss.',
    regen_artic_date_range_format: 'El formato de la fecha inicio o fecha fin no es válido, intenta dd-mm-yyyy.',
    regen_artic_date_range_invalid: 'El rango de fechas no es válido. Debe ingresar un fecha de inicio y un fecha fin.',
    regen_artic_msg: '¿Estás seguro de ejecutar la actualización masiva de artículos?',
    regen_artic_ok_button: 'Actualizar',
    regen_artic_select_required: 'Debes seleccionar al menos 1 tipo de artículo.',
    regen_artic_title: 'Actualización masiva de artículos',
    regen_modal_wait_msg: 'El proceso se encuentra en ejecución, por favor espere.',
    regen_modal_wait_title: 'Regeneración',
    regen_port_msg: '¿Estás seguro de ejecutar la actualización masiva de portadas?',
    regen_port_ok_button: 'Actualizar',
    regen_port_title: 'Actualización masiva de portadas',
    regen_tagport_msg: '¿Estás seguro de ejecutar la actualización masiva de portadas de Tags?',
    regen_tagport_ok_button: 'Actualizar',
    regen_tagport_title: 'Actualización masiva de portadas tagonomicas',
    regen_taxport_msg: '¿Estás seguro de ejecutar la actualización masiva de portadas taxonomicas?',
    regen_taxport_ok_button: 'Actualizar',
    regen_taxport_title: 'Actualización masiva de portadas taxonomicas',
    relac_min_search: 'El largo del texto a buscar debe ser de al menos {0} caracteres',
    relac_multiple_found: ' artículos encontrados',
    relac_one_found: '1 artículo encontrado',
    relac_recent_artic: 'artículos más recientes',
    robot_editor_delete_success: 'El archivo ha sido eliminado',
    robot_editor_delete: '¿Deseas borrar el archivo?',
    robot_editor_invalid_filename: 'Nombre de archivo no es válido',
    robot_editor_new_template: '¿Crear nuevo robots.txt desde template?',
    robot_editor_no_rules_found: 'No se encontraron reglas válidas en robots.txt',
    robot_editor_replace_label: 'Reemplazar',
    robot_editor_replace_template: '¿Deseas reemplazar el contenido actual por la plantilla default?',
    robot_editor_rules_found_in: 'Reglas válidas encontradas en',
    robot_editor_save_success: 'El archivo ha sido guardado de manera exitosa',
    robot_editor_save: '¿Deseas guardar el archivo?',
    robot_editor_template: "#Formato:\n#User-agent: [user-agent] # nombre del crawler\n#Allow: [url]\n#Allow: [otra url] # Para Googlebot: URLs permitidas aunque de otro modo estén dentro de una regla Disallow.\n#Disallow: [url] #URLs que los agentes no deben analizar.\n#Disallow: [otra url] # Pueden agregarse múltiples reglas Allow o Disallow, una por línea.\n#Crawl-delay: [demora] # Tiempo en milisegundos que debe esperar antes de analizar cada página] # Google no respeta este comando, usar crawl-rate en Google Search Console.\n#Sitemap: [url de sitemap] # Para Google, Ask, Bing, Yahoo\n\n#Cada grupo de reglas (User-agent, Allow, Disallow, Crawl-delay) debe estar separado por una linea en blanco\n#User-agent: [otro user-agent]\n#Disallow: [otra regla de URLs que este user-agent no debe analizar]\n#Allow: [otra regla de URLs que Googlebot puede analizar]\n\nUser-agent: * # Cualquier user-agent\nDisallow: #línea vacía: permitir acceso a todo.\n\nSitemap: /{0}/site/sitemap_pags.xml # Verificar que exista.",
    s3_browser_back_to: 'Retroceder a ',
    s3_browser_back: 'Retroceder',
    s3_browser_download: 'Descargar',
    s3_browser_empty_folder: 'La carpeta está vacía.',
    s3_browser_folder_not_loaded: 'No se pudo cargar la carpeta seleccionada.',
    s3_browser_forward_to: 'Avanzar a \"{0}\"',
    s3_browser_forward: 'Avanzar',
    s3_browser_item: '{0} elemento(s)',
    s3_browser_items_selected: '{0} elementos seleccionados',
    s3_browser_one_item_selected: '1 elemento seleccionado {0}',
    s3_browser_one_item: '1 elemento',
    s3_browser_one_selected:'1 elemento seleccionado',
    s3_browser_recent_locations: 'Ubicaciones recientes',
    s3_browser_up_to: 'Ir hasta \"{0}\"',
    s3_browser_up: 'Arriba',
    schema_confirm_update: 'Estás seguro de modificar la configuración?',
    tag_confirm_delete: '¿Estás seguro de querer borrar este Tag?',
    tag_enter_word_search: 'Debes ingresar una palabra para buscar.',
    tag_error_not_save: 'Error, no se pudo guardar',
    tag_wait_seconds: 'Espera unos segundos antes de realizar esta acción',
    tax_click_fid_hide: 'Click para ocultar en el FID',
    tax_click_fid_visible: 'Click para visibilizar en el FID',
    tax_delete_secc:'¿Estás seguro que quieres borrar esa sección?',
    tax_delete_subtem:'¿Estás seguro que quieres borrar este subtema?',
    tax_delete_tem:'¿Estás seguro que quieres borrar este tema?',
    tax_enter_file_import: 'Debe ingresar un archivo para Importar.',
    transcod_audio_conversion: 'Se ha producido un error al realizar la Conversión del Audio:<br/> ',
    transcod_capture_error: 'Se ha producido un error al extraer la Captura del Video:<br/> ',
    transcod_capture_finish: 'La extracción de la captura ha finalizado',
    transcod_check_audio_status: 'Chequeando estado del audio',
    transcod_check_status: 'Chequeando estado del video',
    transcod_converted_audio: 'El audio ya fue convertido.',
    transcod_converted_video: 'El video ya fue convertido.' ,
    transcod_critical_audio_conversion: 'Se ha producido un error crítico al realizar la Conversión del Audio:<br/> ',
    transcod_critical_error_audio: 'Se ha producido un error crítico al verificar el Audio:<br/> ',
    transcod_critical_error_start: 'Se ha producido un error crítico al iniciar el proceso:<br/> ',
    transcod_critical_error_video: 'Se ha producido un error crítico al realizar el ajuste del Video:<br/> ',
    transcod_critical_video_conversion: 'Se ha producido un error crítico al realizar la Conversión del Video:<br/> ',
    transcod_cut_video_error: 'Se ha producido un error al cortar el Video:<br/> ',
    transcod_cut_video_success: 'El video ha sido cortado exitosamente',
    transcod_cut_video: 'Generando el Corte del Video',
    transcod_download_complete: 'Descarga completa',
    transcod_download_videos: 'Descargando archivos de video',
    transcod_enter_marks: 'Debe ingresar 1 o 2 marcas y presionar sobre el trozo<br/> de película que desee cortar',
    transcod_error_check_audio: 'Se ha producido un error al verificar el Audio:<br/> ',
    transcod_error_occurred: 'Se ha producido un error:<br/> ',
    transcod_error_process: 'Se ha producido un error en el proceso:<br/> ',
    transcod_error_processing: 'Se ha producido un error al procesar:<br/> ',
    transcod_error_response: 'Se ha producido un error en la respuesta:',
    transcod_error_set_video: 'Se ha producido un error al realizar el ajuste del Video:<br/> ',
    transcod_error_start: 'Se ha producido un error al iniciar el proceso:<br/> ',
    transcod_generate_versions: 'Generando versiones del video.',
    transcod_high_bitrate_audio: 'El audio mp3 tiene un bitrate muy alto, por favor espere mientras es procesado.',
    transcod_high_bitrate_video: 'El video mp4 tiene un bitrate muy alto y necesita ser ajustado para su correcta reproducción, por favor espere mientras es procesado.',
    transcod_invalid_marks: 'El formato de las marcas entregado por el Player no es válido',
    transcod_invalid_response: 'Se ha producido un error:<br/> Respuesta no válida',
    transcod_load_video_edit: 'Debe cargar un video antes de poder editar',
    transcod_load_video: 'Debe cargar un video antes de extraer la captura',
    transcod_not_marks_cut: 'No se pudo obtener las marcas para cortar',
    transcod_not_read_time: 'No se pudo leer el tiempo asociado a la Captura',
    transcod_process_audio: 'El audio está siendo procesado',
    transcod_process_video: 'El video está siendo procesado',
    transcod_set_audio: 'El audio mp3 se encuentra ajustado para su correcta reproducción.',
    transcod_set_video_wait: 'El video mp4 necesita ser ajustado para su correcta reproducción, por favor espere mientras es procesado.',
    transcod_set_video: 'El video mp4 se encuentra ajustado para su correcta reproducción.',
    transcod_video_conversion: 'Se ha producido un error al realizar la Conversión del Video:<br/> ',
    transcod_wait_conversion_video: 'Debe esperar a que termine la conversión antes de poder editar',
    transcod_wait_extract: 'Debe esperar a que termine la conversión antes de extraer la captura',
    urladmin_articles: 'Artículos',
    urladmin_confirm_delete: 'Se borrará la URL ¿Estás seguro?',
    urladmin_destination_error: 'Error en el destino de la url',
    urladmin_destination_not_used: 'Este destino no se puede utilizar para configurar una url en este administrador.',
    urladmin_invalid_format: 'Formato de archivo no válido',
    urladmin_list: 'Listados',
    urladmin_port: 'Portadas',
    urladmin_redirect: 'Redirección',
    urladmin_tag: 'Tagonómicas',
    urladmin_tax: 'Taxonómicas',
    urlf5_correct_url: 'La URL es correcta y se puede usar.',
    urlf5_delete_ok: 'URL borrada correctamente',
    urlf5_delete_success: 'La URL [{0}] fue eliminada con éxito.',
    urlf5_delete_url_confirm: 'Se borrará la URL ¿Estás seguro?',
    urlf5_invalid: 'La URL no es válida.',
    urlf5_not_create_url: 'No se puede crear la url. ',
    urlf5_prefix_enabled: 'Prefijo de url activado. Todas las url comenzarán con',
    urlf5_save_success: 'La URL [{0}] fue guardada con éxito.',
    urlf5_save_url: 'URL guardada',
    usr_admin_confirm_delete: '¿Estás seguro de borrar este usuario?',
    usr_admin_confirm_recover: '¿Estás seguro de recuperar este usuario?',
    usr_admin_confirm_save: '¿Estás seguro que deseas guardar tus datos?',
    usr_admin_delete: 'No es posible borrar este usuario.',
    usr_admin_load_title_new: 'Agregar Nuevo Usuario',
    usr_admin_load_title_update_adm: 'Modificar cuenta de Administrador',
    usr_admin_load_title_update: 'Modificar cuenta de usuario',
    usr_admin_pass_excellent: '¡Excelente!',
    usr_admin_pass_short: 'Contraseña muy corta',
    usr_admin_recover_label: 'Recuperar',
    usr_admin_recover: 'No es posible recuperar este usuario.',
    usr_admin_title_delete: 'Borrar Usuario',
    usr_admin_title_recover: 'Recuperar Usuario',
    usr_admin_title_update: 'Modificar Usuario Administrador',
    util_msg_win: 'Debes habilitar las ventanas emergentes en tu navegador para acceder a esta funcionalidad.',
    vtxt_label_code_structure: "Estructura y Código",
    vtxt_label_no_responsive_img_class: 'Imagen No Responsiva',
    vtxt_label_none_class: 'Ninguna',
    vtxt_label_responsive_img_class: 'Imagen Responsiva'
};
