(function () {
    var version_control = (function () {
        'use strict';

        var registerButton = {
            register: function (editor) {
                editor.addButton('version_control', {
                    icon: 'fas fa-code-branch',
                    tooltip: 'Revisar Versiones Anteriores',
                    onclick: function () {
                        Fid.showVersions(editor);
                    }
                });
            }
        };

        tinymce.PluginManager.add('version_control', function (editor,) {
            registerButton.register(editor);
        });

        function Plugin() {}

        return Plugin;

    }());
})();
