/**
* La hora local en tiempo real.
*/

var modTime;
function getHoraMin() {
    var hora = modTime.getHours();
    var min = modTime.getMinutes();
    return zeroLead(hora, 2) + ':' + zeroLead(min, 2);
}

function getFecha() {
    var meses = new Array('enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio',
        'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre');

    var dia = modTime.getDate();
    var mes = meses[modTime.getMonth()];
    var ano = modTime.getFullYear();
    return dia + ' de ' + mes + ' de ' + ano;
}

function zeroLead(number) {
    return (number < 10 ? '0' + number : number);
}

// Visualizacion
function displayTime() {
    // Fecha
    var Fecha = document.getElementById("horaFecha");
    if (Fecha) {
        Fecha.innerHTML = getFecha();
    }

    // Hora
    var Hora = document.getElementById("horaHora");
    if (Hora) {
        Hora.innerHTML = getHoraMin();
    }
}

function aplicarFechaPublicacion(fec_publicacion, hora_publicacion, fec_long, fec_actual) {
    if (parseInt(fec_publicacion) === parseInt(fec_actual)) {
        $("#seteoFecha").append(hora_publicacion);
    } else {
        $("#seteoFecha").append(fec_long);
    }
}

$(document).ready(function () {
    if (artTime) {
        modTime = new Date(parseInt(artTime, 10) * 1000);
    }
    displayTime();
});
