#!/usr/bin/perl

# ---------------------------------------------------------------
# Prontus CMS
# http://www.prontus.cl
# by Altavoz.net
#
# licensed under LGPL license.
# http://www.prontus.cl/license.html
# ---------------------------------------------------------------

# -------------------------------COMENTARIO GLOBAL---------------
# Ejecuta el script que reparsea los portadas de este prontus.
use strict;
use utf8;

BEGIN {
    use FindBin qw($Bin);
    my $pathLibsProntus = $Bin;
    unshift(@INC,$pathLibsProntus);
}

##libs##
use lib_stdlog;
lib_stdlog::set_stdlog($0, 51200);
use prontus_varglb;
prontus_varglb::init();

use File::Copy;
use JSON;
use glib_cgi_05;
use glib_fildir_03;
use glib_html_03;
use lib_lang;
use lib_utils;
##/libs##

# ---------------------------------------------------------------
# MAIN.
# ---------------------------------------------------------------
main: {
    lib_utils::setUp();
    glib_cgi_05::new(); # Rescata parametros del formulario.
    my $type = glib_cgi_05::param('type');

    if ($type eq '') {
        glib_html_03::print_json_result(0, lib_lang::get_message('regen_check_process_unspecified_type'));
    }

    my $res;
    if ($type eq 'tax') {
       $res = qx/ps axww | grep 'prontus_regenera_taxport.pl' | grep -v ' grep ' | grep -v 'sh -c' | wc -l/;
    } elsif($type eq 'tag') {
       $res = qx/ps axww | grep 'prontus_regenera_tagport.pl' | grep -v ' grep ' | grep -v 'sh -c' | wc -l/;
    }
    $res =~ s/\D//gs;
    $res += 0; #para forzar el casteo a numero

    glib_html_03::print_json_result($res, $type);
}
