var Ayuda = {
    init: function () {
        $('#tipomsg').on('change', Ayuda.mostrarSugerencia);
        $('#get_help').on('click',function() { $('#frmComentario').submit();});
        $('#frmComentario').on('submit', Ayuda.enviarComentario);
        $('#report_error_ayuda').on('click', Ayuda.guiaReporte);

        Ayuda.validatorProntusForm = new Validador('frmComentario', 'one', 'FDF8C1');
        Ayuda.validatorProntusForm.addconstraint('nombre', 'obligatorio', '', ProntusL10n.get('help_prontus_constrain_name'));
        Ayuda.validatorProntusForm.addconstraint('email', 'obligatorio', '', ProntusL10n.get('help_prontus_constrain_mail'));
        Ayuda.validatorProntusForm.addconstraint('tipomsg', 'obligatorio', '', ProntusL10n.get('help_prontus_constrain_type'));
        Ayuda.validatorProntusForm.addconstraint('asunto', 'obligatorio', '', ProntusL10n.get('help_prontus_constrain_subject'));
        Ayuda.validatorProntusForm.addconstraint('mensaje', 'obligatorio', '', ProntusL10n.get('help_prontus_constrain_msg'));
    },
    enviarComentario: function () {
        var options = {
            url: '/' + Admin.dir_cgi_cpn + '/prontus_help_sbmitcom.cgi',
            type: 'POST',
            dataType: 'json',
            success: function (data) {
                if (data.status == '0') {
                    showModalAlert({
                        title: ProntusL10n.get('global_success'),
                        type: 'blue',
                        msg: data.msg
                    });
                } else {
                    showModalAlert({
                        title: ProntusL10n.get('help_label_warning'),
                        type: 'blue',
                        msg: data.msg
                    });
                    $('#frmComentario').find('input[type="text"]').val('');
                    $('#frmComentario').find('input[type="file"]').val('');
                    $('#frmComentario').find('textarea').val('');
                    $('#frmComentario').find('select').val('');
                    $('#report_error_ayuda').hide();
                    $('#opt1').attr("checked", "checked");
                }
                $('.boton-gris3').show();
                $('#loadingcom').hide();
            },
            error: function () {
                showModalAlert({
                    title: ProntusL10n.get('global_error_title'),
                    type: 'red',
                    msg: ProntusL10n.get('global_error_retry')
                });
            }
        };

        if (Ayuda.validatorProntusForm.validar()) {
            $('#frmComentario').ajaxSubmit(options);
        }
        return false;
    },

    mostrarSugerencia: function () {
        var selected = $('select[name="tipomsg"]').val();
        if (selected === 'error_report') {
            $('#report_error_ayuda').show();
        } else {
            $('#report_error_ayuda').hide();
        }
    },

    guiaReporte: function () {
        showModalAlert({
            title: 'Guía de reporte de errores',
            type: 'blue',
            msg: ProntusL10n.get('help_error_reporting_guide')
        });
    }
};

Ayuda.init();
