var EventosElasticSearch = {
    init: function() {
        $('.quitar_textvar').click(function () {
            var num = $(this).data('num-textvar');
            Cfgedit.quitarESTextvar(this, num);
        });
        $('.agregar_textvar').click(function () {
            Cfgedit.agregarESTextvar();
            return false;
        });

        /**
         * Copiamos el comportamiento de los enlaces .guardar_cambios pero agregando una validación.
         */
        $('.guardar_cambios_validar').on('click', function(e){
            e.preventDefault();
            e.stopPropagation();

            const blocked_names = ['_seccion1', '_nom_seccion1', '_tema1', '_nom_tema1', '_subtema1', '_nom_subtema1', '_tags', '_tagnames', '_fechap.'];
            for (let i = 1; i <=5; i++) {
                const marca = $(`input[name="ELASTICSEARCH_SEARCH_META${i}"]`).val();
                if (blocked_names.indexOf(marca) != -1) {
                    showModalAlert({
                        title: 'Error',
                        type: 'red',
                        msg: `La marca ${marca} no puede usarse como variable ELASTICSEARCH_SEARCH_META.`
                    });
                    return false;
                }
            }

            const vista = $('input[name="_cfg"]').val();
            if (!vista) {
                showModalAlert({
                    title: 'Error',
                    type: 'red',
                    msg: 'No es posible guardar los cambios'
                });
            } else {
                Cfgedit.guardaCfg(vista);
            }
        });
    },

    validar: function() {

    }
};

$(document).ready(function () {
    EventosElasticSearch.init();
});
