var EventosPlataforma = {
    init: function() {
        $('#checkPlatform').click(function() {
            var urlCheckPlat = 'prontus_check_platform.cgi';
            var linkCheckPlatform = urlCheckPlat + '?_prontus_id=' + Admin.prontus_id;
            $('#resultados-verificar-modulos').load(linkCheckPlatform).fadeIn('slow');
            return false;
        });

        $('#checkInstall').click(function() {
            var urlCheckInst = 'prontus_check_install.cgi';
            var accion = $('#opciones-install input:checked:first').val();
            if(typeof accion === 'undefined' || accion === null || accion <= 0) {
                showModalAlert({
                    title: ProntusL10n.get('global_error_title'),
                    type: 'red',
                    msg: ProntusL10n.get('eventosplataforma_select_option')
                });
            } else {
                var linkCheckInstall = urlCheckInst + '?_prontus_id=' + Admin.prontus_id + '&accion=' + accion;
                $('#resultados-verificar-instalacion').load(linkCheckInstall).fadeIn();
            }
            return false;
        });
    }
};

$(document).ready(function () {
    EventosPlataforma.init();
    $('#resultados-verificar-modulos').hide();
    $('#resultados-verificar-instalacion').hide();
});
