var l10nProntus = {
    l10n_locale: 'en',
    date_locale: 'en-US',
    months: ['January', 'February', 'March', 'April','May','June','July','August','September','October','November','December'],
    days: ['Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday'],
    dataTableLang: {
        "processing": 	"Processing...",
        "lengthMenu": 	"Show _MENU_ records",
        "zeroRecords":	"No results found",
        "emptyTable": 	"No data to display",
        "info":       	"_START_-_END_ of _TOTAL_",
        "infoEmpty":  	"0-0 of 0",
        "infoFiltered":   "(filtering a total of _MAX_ records)",
        "infoPostFix":	"",
        "search":     	"Search:",
        "url":        	"",
        "infoThousands":  ",",
        "loadingRecords": "Loading...",
        "aria": {
            "sortAscending":  ": Activate to sort the column in ascending order",
            "sortDescending": ": Activate to sort the column in descending order"
        }
    },
    actions_error_deleting_article: 'An error occurred while deleting the article',
    admin_bd_regen_art_msg: 'Are you sure you want to regenerate the articles table?',
    admin_bd_regen_art_title: 'Regenerate table of articles',
    admin_bd_regen_error_proccess: 'Error processing the script, please refresh the page to continue',
    admin_bd_regen_mmedia_msg: 'Are you sure you want to regenerate the media table?',
    admin_bd_regen_mmedia_table_title: 'Of Media',
    admin_bd_regen_mmedia_title: 'Regenerate media table',
    admin_bd_regen_ok_button: 'Regenerate',
    admin_concurrency_article_code: "Warning:\n\nThis Article is being edited by another user.\nEnter the following code to edit it.\n\nCode: {0}",
    admin_concurrency_article_locked_1: "The article is being used by another user and has been locked for editing.<br>Back to ",
    admin_concurrency_article_locked_2: 'Articles created',
    admin_concurrency_input_code:"You must enter the code {0} to unlock the resource.",
    admin_concurrency_invalid_input_code: "The code entered is invalid.\nPlease enter the following code to unlock the resource: {0}",
    admin_concurrency_page_code: "Warning:\n\nThis Front page is being used by another user.\nEnter the following code to use it.\n\nCode: {0}",
    admin_concurrency_page_locked: "The front page is being used by another user and has been locked for editing.",
    admin_concurrency_users_art: 'Other users editing this Article: {0}',
    admin_concurrency_users_port: 'Other users editing this Front page: {0}',
    admin_critical_error_msg: "<strong>Wait a few minutes and refresh the page</strong> If the problem persists, check with your web server administrator..<br><br>The server responded with the following message: <strong>{0}</strong><br><br>Status: <strong>{1}</strong><br><br>Detalles:<br><pre>{2}</pre>",
    admin_critical_error_title: 'A critical error has occurred',
    admin_delete_artic_use: 'The article is being edited by the user ',
    admin_dropbox_authorize_app: 'Authorize the Dropbox app',
    admin_dropbox_oauth_token_success: 'OAuth Token obtained correctly.',
    admin_dropbox_success: 'Success',
    admin_dropbox_token_success: 'Refresh Token obtained successfully.',
    admin_dropbox_unable_get_token: 'Failed to get requested token.',
    admin_edit_lock: 'Edit lock',
    admin_elastic_spa_reindex_msg: 'Are you sure you want to rebuild the ElasticSearch search engine indexes?',
    admin_elastic_spa_reindex_ok: 'Rebuild indexes',
    admin_elastic_spa_reindex_result_error: 'Results=File not Found',
    admin_elastic_spa_reindex_title: 'Regenerate search engine indexes',
    admin_error_delete_artic: 'The article could not be deleted. Please try again.',
    admin_error_saving_changes: 'It is not possible to save the changes',
    admin_error: 'An error has occurred',
    admin_goodbye_message: "See you later…",
    admin_google_data_date: 'Data to ',
    admin_list_select_template :'You must first select a template',
    admin_loges_date_at: ' at {0}',
    admin_loges_date_between: 'between {0} and {1}',
    admin_loges_label_date_at: 'Searches on {0}',
    admin_loges_label_date_between: 'Searches between {0} and {1}',
    admin_request_error: 'An error occurred while processing the request',
    admin_session_ended: 'Session ended',
    admin_unable_to_delete_artic: "Can't delete",
    admin_update_msg: "Are you sure you want to upgrade Prontus {0}?\nThis operation will update the CGIs and the Prontus core installed on your website.",
    admin_update_title: 'Update Prontus',
    admin_wait_logout:'Please wait while Prontus closes.',
    analisis_seo_body_title: "Body: {0}",
    analisis_seo_correct_alt_attr: "All your images include an ALT attribute. Your document is more readable and accessible.",
    analisis_seo_correct_length: "The body text has an acceptable length ({0} words) and is readable.",
    analisis_seo_correct_links: "Your text contains internal and external links, this improves the navigation of your site and the ranking of this document.",
    analisis_seo_desc_char_maxlen: "Description contains {0} characters. The suggested maximum is {1}. It may be cut short in Google search results.",
    analisis_seo_desc_char_minlen: "Description contains {0} characters. The suggested minimum is {1}. It can be ambiguous to interpret.",
    analisis_seo_desc_missing: "You did not enter an SEO description, the excerpt of the article will be used for analysis. The SEO description is used preferably to show on Google and other search engines.",
    analisis_seo_desc_success: 'Description: Your description has a reasonable length and is legible.',
    analisis_seo_desc_title: "Description: {0}",
    analisis_seo_desc_word_maxlen: "Description contains {0} words. The suggested maximum is {1}.",
    analisis_seo_desc_word_minlen: "Description contains {0} words. The suggested minimum is {1}. It can be ambiguous to interpret.",
    analisis_seo_few_external_links: "There are few external links without a nofollow attribute in your text. External links help improve the ranking of your document in search results.",
    analisis_seo_few_imgs: "No images were found in the body of text. Images can help make your text more readable." ,
    analisis_seo_html_title: 'HTML parsing',
    analisis_seo_missing_alt_attr: "Some images do not include the ALT attribute. Adding the ALT attribute to each image makes your text more accessible.",
    analisis_seo_no_data: 'No data found.',
    analisis_seo_no_external_links: "No external links were found in the text. External links help improve the ranking of your document in search results.",
    analisis_seo_no_internal_links: "No internal links found in the body of text. Internal links improve the visibility of your other pages and make your site more navigable.",
    analisis_seo_only_nofollow_links: "Only external links with no follow attribute were found. These links do not help improve the ranking of this document in search results.",
    analisis_seo_server_comm_error: 'An error occurred communicating with the SEO server. Error code [{0}]: {1}, {2}',
    analisis_seo_slug_char_maxlen: "Slug: Link text contains {0} characters. The suggested maximum is {1}. The link to the article should be readable as a headline.",
    analisis_seo_slug_char_minlen: "Slug: Link text contains {0} characters. The suggested minimum is {1}. It could be ambiguous to interpret.",
    analisis_seo_slug_length_correct: 'Slug: URL text has an acceptable length and is readable',
    analisis_seo_slug: "Slug: {0}",
    analisis_seo_text_char_maxlen: "The body text contains {0} characters. The suggested maximum is {1}.",
    analisis_seo_text_char_minlen: "The body text contains {0} characters. The suggested minimum is {1}.",
    analisis_seo_text_field_missing: 'The body text field was not found.',
    analisis_seo_text_word_maxlen:  "Body text contains {0} words. The suggested maximum is {1}.",
    analisis_seo_text_word_minlen:  "Body text contains {0} words. The suggested minimum is {1}.",
    analisis_seo_title_char_maxlen: "The headline contains {0}} characters. The suggested maximum is {1}. It may be cut short in Google search results.",
    analisis_seo_title_char_minlen: "The headline contains {0}} characters. The suggested minimum is {1}. It could be ambiguous to interpret.",
    analisis_seo_title_length_correct: 'Headline: Your headline has an acceptable length and is legible.',
    analisis_seo_title_required: "You did not enter an SEO headline, the article headline will be used for analysis. The SEO headline is preferably used to display on Google and other search engines.",
    analisis_seo_title_word_maxlen: "Headline contains {0} words. The suggested maximum is {1}.",
    analisis_seo_title_word_minlen: "Headline contains {0} words. The suggested minimum is {1}. It could be ambiguous to interpret.",
    analisis_seo_title: "Headline: {0}",
    artic_no_topic: 'No Topics',
    artic_no_sub_topic: 'No Subtopics',
    artic_select_sub_topic: 'Select Subtopic',
    artic_select_topic: 'Select Topic',
    artic_unable_to_get_info: 'Unable to take article',
    asocfile_size_too_large: 'The size of the file you are trying to upload is too large',
    asocfile_unable_upload_file: "An error has occurred. You can't upload the selected file",
    calendar_april: 'April',
    calendar_august: 'August',
    calendar_confirm_update: 'Are you sure you want to run the calendar update?',
    calendar_december: 'December',
    calendar_february: 'February',
    calendar_january: 'January',
    calendar_july: 'July',
    calendar_june: 'June',
    calendar_march: 'March',
    calendar_may: 'May',
    calendar_november: 'November',
    calendar_october: 'October',
    calendar_please_wait: 'The process is running, please wait.',
    calendar_regen: 'Calendar Regeneration',
    calendar_select: 'Select',
    calendar_september: 'September',
    calendar_update: 'Calendar update',
    captcha_msg_cgi: 'Failed to read the captcha, please try again',
    captcha_msg_cgi: 'Failed to read the captcha, please try again',
    captcha_msg_system: 'Deployment failed',
    captcha_msg_system: 'Setup error',
    captcha_msg_type: 'You must indicate the type of Captcha',
    captcha_msg_type: 'You must indicate the type of Captcha',
    cfg_cloudflare_empty_list: 'The file list is empty.',
    cfg_cloudflare_purge_all_ok: 'Run url purge',
    cfg_cloudflare_purge_all_title: 'Run Purge',
    cfg_cloudflare_purge_confirm: 'Are you sure? This operation cannot be reversed or stopped.',
    cfg_cloudflare_purge_ok: 'Run purge on Content Cache',
    cfg_cloudflare_purge_start: 'The cleaning process started. This may take several minutes to complete..',
    cfg_cloudflare_purge_title: 'Purge Cache',
    cfg_cpan_no_http_required: 'The CPAN_SERVER_NAME field must be a non-protocol URL: should not start with http:// o https:// .',
    cfg_invalid_par_plt_name: '{0} is an invalid parallel template name.<br> Must contain only alphanumeric characters, including the underscore. Also, it must have a valid extension.',
    cfg_invalid_plt_name: '{0} is an invalid template name.<br> Must contain only alphanumeric characters, including the underscore. Also, it must have a valid extension.',
    cfg_public_server_http_required: 'The PUBLIC_SERVER_NAME field must be a non-protocol URL: should not start with http:// o https:// .',
    cfg_save_confirm: 'Are you sure you want to modify the configuration?',
    cfg_save_title: 'Save settings',
    cfg_update_server_http_required: 'The UPDATE_SERVER field must be a URL with protocol: must start with http:// o https:// .',
    cfgxcoding_delete_format_warning: "Are you sure you want to remove the transcode format? This action cannot be undone.",
    cfgxcoding_delete_format: 'Clear Transcoding Format',
    cfgxcoding_delete_tag_warning: "Are you sure you want to remove the transcode tag?\nAll associated formats will be removed. This action cannot be undone." ,
    cfgxcoding_delete_tags: 'Delete tags',
    cfgxcoding_edit_formats_label:'Modify Transcoding Formats',
    cfgxcoding_edit_formats_warning: "Are you sure you want to modify the transcode formats?",
    cfgxcoding_existing_format_error: 'This format already exists.',
    cfgxcoding_format_id_error: 'You must enter an identifier for the format',
    cfgxcoding_format_indelible_error: 'This format cannot be deleted',
    cfgxcoding_format_pattern_error: 'Only letters can be entered. Ñ, spaces, numbers, letters with tildes or symbols are not allowed',
    cfgxcoding_formats_error: 'An error occurred while loading the formats:',
    cfgxcoding_saved_msg:'Formats have been successfully saved',
    cfgxcoding_saving_error_msg: 'An error occurred while saving the formats:',
    cfgxcoding_tag_exists_error: 'This tag already exists',
    cfgxcoding_tag_pattern_error:'Only numbers can be entered.',
    cfgxcoding_videosize_format_error: 'The video size parameter cannot be odd, incorrect format:\n',
    comunespass_input_new_pass: 'You must enter the new password',
    comunespass_new_pass_confirm:'You must confirm the new password',
    comunespass_new_pass_maxlen: 'The password must not be longer than {0} characters.',
    comunespass_new_pass_minlen: 'The password must have at least {0} characters.',
    comunespass_pass_mismatch: 'Passwords do not match',
    customtool_delete_confirm_deletion:"Are you sure you want to delete the file permanently?",
    customtool_delete_confirm_s3_deletion:"The file will be deleted from S3 storage and cannot be recovered. Are you sure?",
    customtool_delete_error_deleting:'Delete error',
    customtool_delete_error_msg: "An error occurred while trying to delete the file.",
    customtool_delete_ignore_alert: 'Ignore this alert for 10 minutes.',
    customtool_delete_oktitle: "Delete file",
    dashboard_attachs_label:"Attachments",
    dashboard_attachss3_label:"S3 Attachments",
    dashboard_images_label:"Images",
    dashboard_images_other:"Other",
    dashboard_multimedia_label:"Multimedia",
    dashboard_multimedias3_label:"Multimedia S3",
    editor_confirm_save: "Do you want to save the file?",
    editor_error_loading_folder: 'The selected folder could not be loaded.',
    editor_filename_no_ext: "[name without extension]",
    editor_invalid_params: 'Invalid parameters for {0}',
    editor_langmap_1_item_selected_of: "1 item selected {0}",
    editor_langmap_1_item_selected: "1 item selected",
    editor_langmap_1_item: "1 Item",
    editor_langmap_back_to: 'Back to "{0}" (Alt + Left Arrow Key)',
    editor_langmap_back:"Back (Alt + Left Arrow Key)",
    editor_langmap_download: 'Download',
    editor_langmap_empty_folder:"The folder is empty.",
    editor_langmap_forward_to: 'Advance to "{0}" (Alt + Right Arrow Key.)',
    editor_langmap_forward: "Forward (Alt + Right Arrow Key)",
    editor_langmap_n_elems:  "{0} element(s)",
    editor_langmap_n_items_selected: "{0} selected items",
    editor_langmap_n_selected_elems_of: "{0} selected items {1}",
    editor_langmap_new_file: 'New file',
    editor_langmap_new_folder: 'New Folder',
    editor_langmap_recent: "Recent locations",
    editor_langmap_up_to: 'Go to "{0}" (Alt + Up Arrow Key)',
    editor_langmap_up:"Up (Alt + Up Arrow Key)",
    editor_langmap_upload_file: 'Upload file',
    editor_save_error: "An error occurred while trying to save the file.",
    editor_server_error_ajax_request: "Server error processing ajax request:\nURL requested:",
    editor_snippets_desc: 'Snippets are customizable useful pieces of code that can be embedded into any type of file through this Editor..\n\nAvailable Snippets are automatically loaded from files in the {0}/templates/snippets/ directory',
    editor_syntax_if: "Enter parameters for the if, options:\n- Variable name (eg: _txt_bajada) or Variable=value (eg: NOMBRE=juanito)",
    editor_syntax_ivf_nifv: "Enter parameters for {0}: div,res (ex: 2,1)",
    editor_syntax_loop: "Enter loop number (ex: 1)",
    editor_syntax_macro: "Enter macro file name (ex: mymacro.html)",
    editor_syntax_nif: "Enter the name of the variable for the nif (eg: _txt_bajada)",
    eventosplataforma_select_option: 'You must choose one of the above options',
    eventosredes_app_yt: 'Authorize the YouTube app',
    eventosredes_not_token: 'Failed to get requested token.',
    eventosredes_oauth_token: 'OAuth Token obtained correctly.',
    eventosredes_posting_fb: 'How to get the credentials for posting on Facebook',
    eventosredes_refresh_token: 'Refresh Token obtained successfully.',
    eventosreindex_confirm_search: 'Are you sure you want to rebuild the search engine indexes?',
    eventosreindex_error_ajax_server: 'Server error processing AJAX query:\nURL invoked:',
    eventosreindex_error_ajax: 'Server error processing AJAX query.<br>invoked URL:{0}<br>Resultado=File not Found.',
    eventosreindex_error_script: 'Error processing the script, please refresh the page to continue',
    eventosreindex_search: 'Regenerate search engine indexes',
    eventosreindex_title: 'Rebuild indexes',
    fid_artic_copy_confirm_ok: 'Copy Article',
    fid_artic_copy_msg: 'This article will be copied. Unsaved data will be lost.<br>Do you want to continue?',
    fid_artic_copy_url: 'The URL has been copied',
    fid_artic_diff_no_info_msg: 'There are no previous versions for this field and article',
    fid_artic_diff_no_info: 'No information found',
    fid_artic_form_required_fields: 'You must enter the field [Auto Response message (e-mail)] or the field [Auto Response message (html)].',
    fid_artic_mod_date: 'Modified the {0} at {1}',
    fid_artic_mod_minute_ago: 'Modified a minute ago',
    fid_artic_mod_minutes_ago: 'Modified {0} minutes ago',
    fid_artic_mod_no_info: 'No information',
    fid_artic_mod_seconds_ago: 'Modified a few seconds ago',
    fid_artic_mod_today: 'Modified today at {0} hrs.',
    fid_artic_mod_yesterday: 'Modified yesterday at {0} hrs.',
    fid_artic_save_error: 'Error trying to save',
    fid_artic_size_too_large: 'The files you are trying to upload are {0}MB in total. The maximum size is {1}MB. Please discard some files and try again, or contact the system administrator.',
    fid_artic_title_too_long: 'Headline contains more than 60 characters ({0}), may appear abbreviated in Google search results.',
    fid_artic_urlf5_artic_conflict: 'An article has been found that has the same url',
    fid_artic_urlf5_changed_create_redir: 'Create redirection for the old url',
    fid_artic_urlf5_changed_do_nothing: 'Continue saving without doing anything',
    fid_artic_urlf5_changed_msg: 'Are you sure you want to continue? The old url will respond with a 404 error. This can be resolved by creating a redirect for the old url.',
    fid_artic_urlf5_changed: 'The article url has changed',
    fid_artic_urlf5_correct: 'The URL is correct and can be used.',
    fid_artic_urlf5_port_conflict: 'Found a front page that has the same url',
    fid_artic_urlf5_prefix: 'Activated url prefix. All urls will start with "{0}"',
    fid_chart_asocfile_label: 'Attachments: ',
    fid_chart_asocfile_s3_label:'S3 Attachments: ',
    fid_chart_disk_label: 'Local disk: ',
    fid_chart_disk_s3_label: 'S3 storage: ',
    fid_chart_img_label: 'Images: ',
    fid_chart_media_label: 'Multimedia: ',
    fid_chart_media_s3_label:'Media S3: ',
    fid_date_unknown_type: 'unknown type: {0}',
    fid_direct_publish_at_1: 'Direct publication in ',
    fid_direct_publish_edic: 'Edition',
    fid_direct_publish_port_area: "Front Page '{0}' - Area {1}",
    fid_edit_title:'Edit ',
    fid_editor_audio_id_exists: 'There is already an audio with that ID.',
    fid_editor_audio_id_number: 'Audio ID must be numeric.',
    fid_editor_audio_id_required: 'Audio ID is required.',
    fid_editor_audio_name_alpha: 'Audio name must contain only alphanumeric characters.',
    fid_editor_audio_name_required:'Audio name is required.',
    fid_editor_cant_save:'Failed to save CIF: {0}',
    fid_editor_configure_asocfile: 'Configure ATTACHMENT',
    fid_editor_configure_asocfile_help: 'A control that adds file upload to a CIF. Attachment tags typically use the "asocfile_" prefix, resulting in a Prontus tag like "asocfile_specific_file".',
    fid_editor_configure_audio: 'Configure AUDIO',
    fid_editor_configure_audio_help: 'A panel with the necessary widgets ready to upload, edit and embed audio files. The ID for the AUDIO panel must be a unique number, resulting in a Prontus tag like "multimedia_audio[number]".',
    fid_editor_configure_checkbox: 'Configure CHECKBOX',
    fid_editor_configure_checkbox_help: 'An HTML checkbox field, with a specific value.',
    fid_editor_configure_combobox: 'Configure COMBOBOX',
    fid_editor_configure_combobox_help: 'An HTML select field, populated with options.',
    fid_editor_configure_gallery: 'Configure GALERIA',
    fid_editor_configure_gallery_help: 'Enables mass image upload and the handling of a photo gallery.',
    fid_editor_configure_input: 'Configure INPUT',
    fid_editor_configure_input_help: 'An HTML text input field.',
    fid_editor_configure_macro: 'Configure MACRO',
    fid_editor_configure_macro_help: 'Lets you select and embed a Prontus macro in a panel.',
    fid_editor_configure_panel: 'configure PANEL',
    fid_editor_configure_panel_help: 'A generic container for common HTML input fields.',
    fid_editor_configure_photo: 'Configure PHOTO',
    fid_editor_configure_photo_help: 'The PHOTO tag typically uses the "fotofija_" prefix, resulting in a Prontus tag like "fotofija_specific_picture".',
    fid_editor_configure_tabs: 'Configure TABS',
    fid_editor_configure_tabs_help: 'Allows the display of sub-panels structured as tabs: one sub-panel is visible at a time, and the rest are accessible using the tab buttons.',
    fid_editor_configure_textarea: 'Configure TEXTAREA',
    fid_editor_configure_textarea_help: 'An HTML textarea field.',
    fid_editor_configure_video: 'Configure VIDEO',
    fid_editor_configure_video_help: 'A panel with the necessary widgets ready to upload, edit and embed video files. The ID for the VIDEO panel must be a unique number, resulting in a Prontus tag like "multimedia_video[number]".',
    fid_editor_configure_vtxt: 'Configure VTXT',
    fid_editor_configure_vtxt_help: 'Adds a WYSIWYG editor to a panel. The ID for the VTXT panel must be a unique number, resulting in a Prontus tag like "vtxt_cuerpo[number]".',
    fid_editor_css_class_alpha: 'You can add one or more CSS classes separated by spaces. Must contain only alphanumeric characters.',
    fid_editor_delete_field_msg: 'This field will be removed from the CIF. Please note that the data associated with this field will be removed from the article once it is saved and cannot be recovered..',
    fid_editor_delete_field_ok: 'Delete field',
    fid_editor_delete_gallery_msg: 'This gallery will be removed from the CIF. Please note that all fields associated with the gallery will be removed from the article once it is saved and cannot be recovered.',
    fid_editor_delete_gallery_ok: 'Delete Gallery',
    fid_editor_delete_msg: 'The CIF will be deleted and cannot be recovered',
    fid_editor_delete_ok: 'Delete CIF',
    fid_editor_delete_panel_msg:"This panel will be removed from the CIF. Please note that all fields associated with this panel will be removed from the article once you save it and cannot be recovered.",
    fid_editor_delete_panel_ok: 'Delete Panel',
    fid_editor_delete_tab_msg: 'This tab will be removed from the CIF. Please note that all fields associated with this tab will be removed from the article once you save it and cannot be recovered.',
    fid_editor_delete_tab_ok: 'Delete Tab',
    fid_editor_edit_asocfile:'Edit ATTACHMENT',
    fid_editor_edit_audio: 'Edit AUDIO',
    fid_editor_edit_checkbox: 'Edit CHECKBOX',
    fid_editor_edit_combobox: 'Edit COMBOBOX',
    fid_editor_edit_gallery: 'Edit  GALLERY',
    fid_editor_edit_input: 'Edit INPUT',
    fid_editor_edit_macro: 'Edit MACRO',
    fid_editor_edit_msg: 'Edit Existing CIF.',
    fid_editor_edit_panel: 'Edit PANEL',
    fid_editor_edit_photo: 'Edit PHOTO',
    fid_editor_edit_tab: 'Edit TABS',
    fid_editor_edit_textarea: 'Edit TEXTAREA',
    fid_editor_edit_video: 'Edit VIDEO',
    fid_editor_edit_vtxt: 'Edit VTXT',
    fid_editor_edit: 'Edit CIF',
    fid_editor_empty_msg: 'Add at least one panel before saving.',
    fid_editor_empty_title: 'Cannot save an empty CIF',
    fid_editor_field_name_alpha: 'The field name must contain only alphanumeric characters and spaces.',
    fid_editor_field_name_required: 'The field name is required.',
    fid_editor_field_tag_exists: "A field with the tag already exists '{0}'.",
    fid_editor_field_value_required: 'The field value is required.',
    fid_editor_gallery_size_number: 'Photo sizes must be numeric.',
    fid_editor_gallery: 'Photo Gallery',
    fid_editor_new: 'Add a new CIF',
    fid_editor_no_fid_config: 'Failed to get CIF configuration: {0}',
    fid_editor_panel_name_alpha: 'Panel name must contain only alphanumeric characters.',
    fid_editor_panel_name_alpha: 'Panel name must contain only alphanumeric characters.',
    fid_editor_panel_name_required: 'Panel name is required.',
    fid_editor_panel_name_required: 'Penel name is required.',
    fid_editor_save_confirm: 'This action overwrites the existing item template to display the tags defined in the CIF (Content Input Form).<br> Cannot be undone.<br><br> Are you sure?',
    fid_editor_save_error: 'Could not generate basic template: {0}',
    fid_editor_save_ok: 'Generate/Update Article Template',
    fid_editor_tag_name_alpha: 'The tag name must contain only alphanumeric characters.',
    fid_editor_tag_name_required: 'The tag name is required.',
    fid_editor_video_id_exists: 'There is already a video with that ID.',
    fid_editor_video_id_number: 'Video ID must be numeric',
    fid_editor_video_id_required: 'Video ID is required.',
    fid_editor_video_name_alpha: 'Video name must contain only alphanumeric characters.',
    fid_editor_video_name_required: 'Video name is required.',
    fid_editor_vtxt_id_exists: 'There is already a VTXT with that ID.',
    fid_editor_vtxt_id_number: 'VTXT ID must be numeric.',
    fid_editor_vtxt_id_required: 'The id of the VTXT mandatory .',
    fid_editor_wait_prepare: 'Please wait while Prontus prepares the CIF (Content Input Form)',
    fid_facebook_posting_disabled: 'Posting to Facebook is not enabled for new articles. Save the article to be able to publish it.',
    fid_form_data_encoding_default: 'DEFAULT',
    fid_form_data_encoding_msg: 'Choose what type of character encoding the CSV file to generate will have.',
    fid_form_data_encoding: 'Encoding type',
    fid_form_delete_data_final_confirm_title: 'Data deletion',
    fid_form_delete_data_second_confirm_title: 'Are you sure you want to proceed with the deletion?The deleted data cannot be recovered. This action is irreversible.',
    fid_form_delete_data_second_confirm:'Confirm Irreversible Operation',
    fid_form_delete_data_title: 'Clear All Data',
    fid_form_delete_data: 'Confirm Delete',
    fid_form_email_admin_invalid: 'The field [Destination email] must contain one or more valid emails, separated by commas.',
    fid_form_email_admin_required: 'The field [E-mail destination] cannot be empty.',
    fid_form_email_from_invalid: 'The field [Email for the reply] must be a valid email.',
    fid_form_email_from_required: 'The field [Email for the reply] cannot be empty.',
    fid_form_error_msg_required: 'The [Error Message] field cannot be empty.',
    fid_form_subject_required :'[Subject] field cannot be empty.',
    fid_form_subject_sender_required: '[Subject to sender] field cannot be empty.',
    fid_form_success_msg_required: 'The [Success Message] field cannot be empty.',
    fid_general_error: 'An error occurred while processing the request',
    fid_new_title: 'New ',
    fid_snp_push_label: 'Push notification',
    fid_snp_push_send_error: 'Send failed: {0}',
    fid_snp_push_send_ok: 'Notification sent successfully.',
    fid_snp_select_option: 'No shipping option selected',
    fid_snp_send_confirm_msg: 'A push notification will be sent to all subscribers. <br>Do you want to continue?',
    fid_snp_send_confirm_ok: 'Send notification',
    fid_twitter_posting_disabled: 'Posting to Twitter is not enabled for new articles. Save the article to be able to publish it.',
    fid_wait_loading_new_type: 'Please wait while Prontus loads the new article type.',
    fid_youtube_posting_disabled: 'Posting to Youtube is not enabled for new articles. Save the article to be able to publish it.',
    fidconfig_alert:'You must first save the Article',
    fidconfig_confirm: "Are you sure you want to remove all data and attachments received by this form? <br>This operation cannot be undone.",
    fidconfig_loading:'The CIF (Content Input Form) still does not finish uploading or the upload has failed. Please refresh the CIF before saving',
    global_ajax_error: 'Server error processing ajax request',
    global_alert: "Warning",
    global_cancel_label: 'Cancel',
    global_confirm: 'Confirm',
    global_continue_label: 'Continue',
    global_date_format: '{0} of {1} of {2}',
    global_delete_label:'Delete',
    global_delete_title: 'Delete',
    global_delete_url: 'Delete url',
    global_error_int: 'An error occurred: {0}',
    global_error_not_delete: 'Error, could not delete',
    global_error_occurred: 'An error occurred',
    global_error_refresh:"Error processing, please reload the page to continue",
    global_error_retry: 'An error occurred, please try again',
    global_error_title: 'Error',
    global_file_import: 'You must enter a file to Import.',
    global_file_too_large:'The size of the file you are trying to upload is too large.',
    global_finished_label: 'Finished',
    global_help_label: 'Help',
    global_info_title: 'Information',
    global_invalid_filetype: "You can't upload files of this type.",
    global_invalid_format: 'Invalid file format',
    global_label_all_f: 'All',
    global_label_all_m: 'All',
    global_label_no: 'No',
    global_label_unlimited: 'Unlimited',
    global_label_yes: 'Yes',
    global_list_pagination: "{0}-{1} of {2}",
    global_load_error:'Failed to load',
    global_load: 'Loading',
    global_missing_id:'ERROR: id not found.',
    global_missing_method: 'The method {0} does not exist.',
    global_new_label: 'New',
    global_processing_label: 'Processing',
    global_published: 'Article is published',
    global_result_title: 'Result',
    global_save_changes_label: 'Save Changes',
    global_save_label: 'Save',
    global_save_setting: 'Save settings',
    global_server_error: 'Server Error',
    global_server_msg: 'Server message',
    global_success: 'Success',
    global_supported_filetypes:'The system only supports files of the type: {0}',
    global_unassigned: "Unassigned",
    global_unavailable: 'Not available',
    global_unpublished: 'The article is not published',
    global_update_label: 'Update',
    global_upload_error: 'An error has occurred. You cannot upload the selected file [{0}]',
    global_wait_saving_msg: 'Please wait while the settings are saved.',
    help_error_reporting_guide: "To report a bug, complete the message with the following information:<br><br>* Subject: Problem summary, e.g. 'Unable to upload photos'.<br>* Message: Description of the problem as detailed as possible, ideally including steps to reproduce the problem and the data used.",
    help_label_warning: 'Warning',
    help_prontus_constrain_mail: 'You must enter Email',
    help_prontus_constrain_msg: 'You must enter a message',
    help_prontus_constrain_name: 'You must enter Name',
    help_prontus_constrain_subject: 'You must enter the Subject',
    help_prontus_constrain_type: 'You must enter the Reason for Contact',
    img_edit_change_img_confirm: 'When switching images your changes will be lost. Are you sure?',
    img_edit_close_editor: 'No, close the editor',
    img_edit_confirm_changes_cancel: 'No, continue editing',
    img_edit_confirm_changes_ok: 'Yes, apply changes',
    img_edit_confirm_changes: 'Are you sure you want to apply the changes?',
    img_edit_continue_confirm: 'Yes, I wish to continue',
    img_edit_continue_edit: 'Continue editing the image',
    img_edit_discard_changes_confirm: 'You are going to discard the changes made. Are you sure?',
    img_edit_discard_changes: 'Discard changes',
    img_edit_no_changes_continue: 'There are no changes to apply. Do you want to continue editing the image?',
    img_edit_numeric_height: 'The height of the photo must be numeric.',
    img_edit_numeric_width: 'The width of the photo must be numeric.',
    img_edit_proccess_error: 'An error occurred while processing the image, please try again.',
    img_edit_resize_minimun_height: 'The height of the resized photo cannot be greater than {0} pixels.',
    img_edit_resize_minimun_width: 'The width of the resized photo cannot be greater than {0} pixels.',
    img_edit_tool_change_warning: 'When changing tools your changes will be lost. Are you sure?',
    list_actions_delete_article_confirm: "Are you sure you want to delete the article?",
    list_artic_ports_published: 'Edition: [{0}] - Front pages: [{1}]',
    list_artic_published: 'The article is published in front pages',
    list_artic_quick_edit_confirm: 'Are you sure you want to modify the article?',
    list_artic_unpublished: 'The article is not published on any front pages',
    list_delete_artic_result: '{0} articles have been removed',
    list_delete_artic_warnings: ', with observations:<br></br>',
    list_delete_error_articles_not_found: 'The following items do not exist:',
    list_delete_error_articles_published: 'The following articles cannot be deleted because they are published on one or more front pages:',
    list_delete_max_artics: 'You can only delete 10 items simultaneously.',
    list_delete_multiple_article: 'The selected items will be removed. Are you sure?',
    list_delete_result : '{0} articles have been removed',
    list_delete_result_title: 'Articles deleted',
    list_unable_delete_search: 'Could not delete search.<br><br>Message from server: {0}',
    list_unable_load_search_result: 'Could not load search listing.<br><br>Message from server: {0}',
    login_error_updating: 'An error occurred during the update process',
    login_input_password: 'Enter password',
    login_input_user:'Enter user',
    login_please_wait:'Please wait...',
    login_post_update_tasks:'Performing post update tasks: {0}%',
    login_prontus_error_warning:'Prontus may not work properly if not fixed',
    login_to_prontus:'Log in to Prontus',
    mam_days_at_time: '{0} at {1}.',
    mam_delete_error:'Failed to delete: {0}',
    mam_delete_success:'Story deleted successfully.',
    mam_delete_warning:"Are you sure you want to delete the story?",
    mam_hours_ago: '{0} hours ago',
    mam_list_error: 'Failed to list: {0}',
    mam_minutes_ago: '{0} minute{1} ago',
    mam_one_hour_ago:'about an hour ago',
    mam_one_min_ago:'About a minute ago',
    mam_save_error: 'Failed to save: {0}',
    mam_save_success: 'Story successfully saved.',
    mam_save_warning:'You must save the article in order to use Minute by Minute',
    mam_seconds_ago:'Few seconds ago',
    mam_title:'Minute by minute',
    mantenedormultitag_copy_label: 'Copy link',
    mantenedormultitag_edit_label: 'Edit',
    mantenedormultitag_friendlyurl_required: 'The Friendly URL is mandatory.',
    mantenedormultitag_input_file_needed:'You must enter a file to import.',
    mantenedormultitag_irreversible_warning:  "This operation is irreversible. Are you sure?",
    mantenedormultitag_name_required: 'Name is required.',
    mantenedormultitag_results_info: '<strong>Results:</strong> {0} a {1} de {2} | <strong>Pages:</strong>',
    mantenedormultitag_update_select_confirm: "The Hierarchical Tag selectors will be updated. Do you want to continue?",
    mantenedormultitag_update_select_error: "An error occurred while trying to update: {0}",
    mantenedormultitag_update_select_success: "Updated selector views.",
    mantenedormultitag_update_views_confirm: "The views will be updated. Use this feature if you have made changes to the tags or their templates. Do you want to continue?",
    mantenedormultitag_update_views_error: "An error occurred while trying to update hierarchical tag views. Please try again later.",
    mantenedormultitag_update_views_success: "Hierarchical tag views updated.",
    mediamanager_all_label:'All',
    mediamanager_bulk_delete_confirm: "Are you sure you want to delete all images in the photo gallery?",
    mediamanager_cancel_confirm: "Yes, cancel the changes",
    mediamanager_cancel_discard: "Continue editing",
    mediamanager_cancel_warning:"By canceling, your changes will be lost. Are you sure you want to cancel your changes?",
    mediamanager_delete_confirm:"Are you sure you want to delete this image from the published photo gallery?",
    mediamanager_dragandrop_help:"Drag images from the Article Image Bank.\n\n",
    mediamanager_duplicate_fields_warning: "Warning: the following photo fields are duplicates and need to be corrected:\n\n{0}",
    mediamanager_files_discarded:'Some invalid files were discarded: {0}',
    mediamanager_gallery_config_error:"Gallery configuration error: {0}",
    mediamanager_images_uploaded_success:'Images added successfully.',
    mediamanager_processing_error:'The server took a long time to process your file, try uploading a smaller one.',
    mediamanager_server_error: 'An error has occurred on the server, please try another file.',
    mediamanager_showing_elems: 'Showing {0}-{1} of {2}',
    mediamanager_uploaded_files: '{0} files uploaded in total.',
    mediamanager_uploading_files: 'Uploading {0} files...',
    mediamanager_uploading_processing: 'Uploading and processing file...',
    multiselect_lang_allSelectedText: 'All selected',
    multiselect_lang_nonSelectedText: 'None selected',
    multiselect_lang_nSelectedText: 'selected',
    multiselect_lang_selectAllText: ' Select all',
    opciones_open_log_error:'It was not possible to open the log.',
    portadmin_area_changed_warning:"The front page has changed. You must first save it before continuing.",
    portadmin_area_info_label: "Information about the selected area",
    portadmin_area_restrictions: "<p>It was not possible to save the front page since one or more areas have restrictions that do not allow it.</p>",
    portadmin_area_wrong_fid: "The selected area does not allow the publication of articles '{0}'. Only the following are allowed: {1}",
    portadmin_areas_name: 'Area {0}: {1}',
    portadmin_areas: 'Area {0}',
    portadmin_art_limits: "<strong>article limit</strong>: {1}",
    portadmin_article_delete_confirm: "Are you sure you want to delete the article: {0}({1})?",
    portadmin_article_published: "The article is published",
    portadmin_arts_in_area: "<strong>Number of articles in the area</strong>: {0}",
    portadmin_delete_edic_confirm: 'The edition will be removed. Are you sure?',
    portadmin_delete_edic_error: 'The edit will not be removed.<br><br>Message from server: {0}',
    portadmin_delete_port_confirm: 'Are you sure you want to delete the selected front page?',
    portadmin_delete_port_error: 'The front page could not be removed.<br><br>Message from the server: {0}',
    portadmin_depub_save_txt: "Unpublish and save",
    portadmin_depub_txt: "Just unpublish",
    portadmin_depub_warning:'Automatic unpublishing considers the following:',
    portadmin_edic_ports: "Edition: [{0}] - Front pages: [{1}], ",
    portadmin_edic_save_confirm: 'Are you sure you want to save the edit?',
    portadmin_edic_save_error: 'Edit could not be saved.<br><br>Message from server: {0}',
    portadmin_edic_swap_confirm: 'The edition will be changed as {0}. Are you sure?',
    portadmin_edic_swap_error: 'Could not modify edition.<br><br>Message from server: {0}',
    portadmin_error_save_port_title: 'Error saving front page',
    portadmin_fids_allowed: "<strong>CIF (Content Input Form)s allowed</strong>: {0}",
    portadmin_incompatible_arts:'<strong>Incompatible articles</strong>',
    portadmin_limit_breached: "{0} (Exceeded)",
    portadmin_loading_art_list_error: "Could not get the list of articles.<br><br>Message from the server: {0}",
    portadmin_loading_port_error: 'The data received does not correspond to the requested front page [{0}] [{1}]',
    portadmin_loading_port: 'Loading front page data...',
    portadmin_loading_tax_error: 'Failed to load categories: {0} {1}',
    portadmin_manual_solution_txt: 'Fix manually',
    portadmin_max_arts_warning:"The maximum number of items allowed in the area has been reached ({0}). If you want to add it, you must first delete one of the articles published in this area first.",
    portadmin_max: '(Maximum: {0})',
    portadmin_mod_date: 'Modified on {0}',
    portadmin_mod_minute_ago: 'Modified a minute ago',
    portadmin_mod_minutes_ago: 'Modified {0} minutes ago',
    portadmin_mod_no_info: 'No information',
    portadmin_mod_seconds_ago: 'Modified a few seconds ago',
    portadmin_mod_today: 'Modified today at {0} hrs.',
    portadmin_mod_yesterday: 'Modified yesterday at {0} hrs.',
    portadmin_no_areas: 'There are no areas.',
    portadmin_overwrite_confirm: 'Another user has modified the front page. By doing this, those changes will be lost. Are you sure you want to continue?',
    portadmin_port_article_count: ' articles found',
    portadmin_port_cant_save: 'The front page art could not be saved.<br><br>Message from the server: {0}',
    portadmin_port_changed: "The front page has been modified. By performing this action the changes will be lost..",
    portadmin_port_duplicate_confirm: 'The selected front page will be duplicated. Are you sure?',
    portadmin_port_duplicate_equal: 'The selected front page is the same. Select different front pages to exchange',
    portadmin_port_duplicate_error: 'Front page could not be duplicated.<br><br>Message from server: {0}',
    portadmin_port_duplicate_ok: 'Duplicate',
    portadmin_port_swap_confirm: 'The selected front pages will be exchanged. Are you sure?',
    portadmin_port_swap_error: 'Front page could not be exchanged.<br><br>Message from server: {0}',
    portadmin_port_swap_ok: 'Exchange',
    portadmin_port_unpublished: "The front page is not published.",
    portadmin_ports_edics_unavailable:"Could not get configuration variable 'ports_edics'.<br><br>Message from server: {0}",
    portadmin_publish_port: "Are you sure you want to publish the front page?",
    portadmin_remove_incompatible_arts: 'Remove incompatible items (CIFs not allowed).',
    portadmin_remove_max_artics: 'Remove the necessary number of items not to exceed the limit. It will be done from the bottom up.',
    portadmin_save_changes: "The front page has been modified. You must save to keep the changes.",
    portadmin_save_port_ok: 'Front page Saved Successfully',
    portadmin_select_port_version: 'Select previous version of this front page',
    portadmin_type_max:'(Type: {0}. Maximum: {1})' ,
    portadmin_type: '(Type: {0})',
    portadmin_unpublish_port: "Are you sure you want to unpublish the front page?",
    posting_tw_title_required: 'The headline is required to post to Twitter.',
    posting_tw_validation_error: 'Validation error when sending to Twitter.',
    posting_tw_error_posting: 'Error posting to Twitter. Error {error}, Code {code}',
    posting_tw_posted: 'Tweet successfully posted with id #{tweet_id}.',
    postingfacebook_error_send: 'Validation error when sending to Facebook.',
    postingfacebook_error: 'An error occurred: ',
    postingfacebook_required_description: 'Description is required to post to Facebook.',
    postingyoutube_confirm_published: 'This article has already been posted to YouTube. Are you sure you want to repost?',
    postingyoutube_process_finished: 'Finished process',
    postingyoutube_published: 'This article has already been published on YouTube.',
    postingyoutube_required_description: 'Description is required to share video to YouTube.',
    postingyoutube_required_tag: 'You must indicate at least one tag for the video.',
    postingyoutube_required_tax: 'You must select a category.',
    postingyoutube_required_title: 'The headline is required to share video to YouTube',
    postingyoutube_upload_video: 'Uploading the video to YouTube.',
    postingyoutube_validation_error: 'Validation error when sending to YouTube.',
    profileadmin_add_label: "Add New Profile",
    profileadmin_confirm: 'Are you sure you want to delete this profile?',
    profileadmin_delete_label: 'Delete Profile',
    profileadmin_edit_label: "Edit profile",
    prontus_edit_copy_error_long: "An error occurred while trying to copy the file.",
    prontus_edit_copy_error:"Failed to copy",
    prontus_edit_copy_file_label: "Copy file",
    prontus_edit_copy_label: 'Copy',
    prontus_edit_create_dir_error_label:"Error creating directory",
    prontus_edit_create_dir_error: "An error occurred while trying to create the directory.",
    prontus_edit_create_dir_label: "Create directory",
    prontus_edit_create_error_label: 'Error creating file',
    prontus_edit_create_error: "An error occurred while trying to create the file.",
    prontus_edit_create_file_label:"Create file",
    prontus_edit_create_label: "Create",
    prontus_edit_delete_error_label: 'Failed to delete',
    prontus_edit_delete_error:  "An error occurred while trying to delete the file.",
    prontus_edit_delete_file: "Delete file",
    prontus_edit_delete_warning: "Are you sure you want to delete the file?, it cannot be recovered.",
    prontus_edit_dirname_ph: 'Directory name',
    prontus_edit_end_filename_ph:'Destination file name',
    prontus_edit_filename_label: 'Enter File Name',
    prontus_edit_filename_ph: 'File name',
    prontus_edit_input_dirname: 'Enter Directory',
    prontus_edit_input_valid_ext:'Please enter a valid extension',
    prontus_edit_invalid_name_warning:'Please enter a valid name',
    prontus_edit_new_filename_ph:'New file name',
    prontus_edit_rename_error_label: "Failed to rename",
    prontus_edit_rename_error:"An error occurred while trying to rename the file.",
    prontus_edit_rename_label: 'Rename',
    prontus_img_url_required: 'You must enter a valid image url',
    prontus_list_load_error: "Failed to load notification list: {0}",
    prontus_msg_required: 'You must indicate Message',
    prontus_notification_error: 'An error occurred while sending: {0}',
    prontus_notification_label: 'Push notification',
    prontus_notification_success: 'Notification sent successfully.',
    prontus_send_notification_label: 'Send notification',
    prontus_send_notification_msg: "A push notification will be sent to all subscribers. <br>Do you want to continue?",
    prontus_title_required: 'You must indicate Title',
    prontus_url_required: 'You must indicate URL',
    prontus_valid_url_required: 'You must enter a valid url',
    prontus_wait_loading_info: 'Please wait while Prontus loads the information',
    prontus_wait_saving_file: 'Please wait while Prontus saves the article.',
    recordarpass_enter_user: 'You must enter the user',
    recordarpass_new_pass: 'The new password has been sent to your email registered in Prontus.',
    recordarpass_validation_code: 'You must enter the validation code',
    regen_artic_date_format_2: 'The date format is invalid, try dd-mm-yyyy.',
    regen_artic_date_format: 'The date format is invalid, try yyyymmddHHmmss.',
    regen_artic_date_range_format: 'The format of the start date or end date is not valid, try dd-mm-yyyy.',
    regen_artic_date_range_invalid: 'The date range is invalid. You must enter a start date and an end date.',
    regen_artic_msg: 'Are you sure you want to run the bulk articles update?',
    regen_artic_ok_button: 'Update',
    regen_artic_select_required: 'You must select at least 1 type of article.',
    regen_artic_title: 'Bulk article update',
    regen_modal_wait_msg: 'The process is running, please wait.',
    regen_modal_wait_title: 'Regeneration',
    regen_port_msg: 'Are you sure you want to run the bulk cover update?',
    regen_port_ok_button: 'Update',
    regen_port_title: 'Bulk front pages update',
    regen_tagport_msg: 'Are you sure you want to run the bulk update of tag pages?',
    regen_tagport_ok_button: 'Update',
    regen_tagport_title: 'Bulk update of Tag page',
    regen_taxport_msg: 'Are you sure you want to run the bulk update of Category pages?',
    regen_taxport_ok_button: 'Update',
    regen_taxport_title: 'Bulk update of Category pages',
    relac_min_search: 'The length of the text to search must be at least {0} characters',
    relac_multiple_found: ' found articles',
    relac_one_found: '1 article found',
    relac_recent_artic: 'latest articles',
    robot_editor_delete_success: 'The file has been deleted',
    robot_editor_delete: 'Do you want to delete the file?',
    robot_editor_invalid_filename: 'file name is invalid',
    robot_editor_new_template: 'Create new robots.txt from template?',
    robot_editor_no_rules_found: 'No valid rules found in robots.txt',
    robot_editor_replace_label: 'Replace',
    robot_editor_replace_template: 'Do you want to replace the current content with the default template?',
    robot_editor_rules_found_in: 'Valid rules found in',
    robot_editor_save_success: 'The file has been saved successfully',
    robot_editor_save: 'Do you want to save the file?',
    robot_editor_template: "#Format:\n#User-agent: [user-agent] # name of crawler\n#Allow: [url]\n#Allow: [another url] # For Googlebot: URLs allowed unless they are within a Disallow rule.\n#Disallow: [url] #URLs agents should not scan.\n#Disallow: [another url] # Multiple rules can be added Allow or Disallow, one per line.\n#Crawl-delay: [delay] # Time in milliseconds to wait before parsing each page] # Google does not respect this command, use crawl-rate in Google Search Console.\n#Sitemap: [sitemap url] # For Google, Ask, Bing, Yahoo\n\n#each group of rules (User-agent, Allow, Disallow, Crawl-delay) must be separated by a blank line\n#User-agent: [another user-agent]\n#Disallow: [another URL rule that this user-agent should not parse]\n#Allow: [another url rule that googlebot can parse]\n\nUser-agent: * # Any user-agent\nDisallow: #empty line: allow access to all.\n\nSitemap: /{0}/site/sitemap_pags.xml # Verify that it exists.",
    s3_browser_back_to: 'Back to ',
    s3_browser_back: 'Back',
    s3_browser_download: 'Download',
    s3_browser_empty_folder: 'The folder is empty.',
    s3_browser_folder_not_loaded: 'The selected folder could not be loaded.',
    s3_browser_forward_to: 'Forward to \"{0}\"',
    s3_browser_forward: 'Go forward',
    s3_browser_item: '{0} item(s)',
    s3_browser_items_selected: '{0} Selected items',
    s3_browser_one_item_selected: '1 item selected {0}',
    s3_browser_one_item: '1 item',
    s3_browser_one_selected:'1 item selected',
    s3_browser_recent_locations: 'Recent locations',
    s3_browser_up_to: 'Go to \"{0}\"',
    s3_browser_up: 'Up',
    schema_confirm_update: 'Are you sure you want to change the settings?',
    tag_confirm_delete: 'Are you sure you want to delete this Tag?',
    tag_enter_word_search: 'You must enter a word to search.',
    tag_error_not_save: 'Error, could not save',
    tag_wait_seconds: 'Wait a few seconds before performing this action',
    tax_click_fid_hide: 'Click to hide in the CIF',
    tax_click_fid_visible: 'Click to make visible in the CIF',
    tax_delete_secc:'Are you sure you want to delete this sections?',
    tax_delete_subtem:'Are you sure you want to delete this subtopic?',
    tax_delete_tem:'Are you sure you want to delete this topic?',
    tax_enter_file_import: 'You must enter a file to import.',
    transcod_audio_conversion: 'An error has occurred while performing the Audio Conversion:<br/> ',
    transcod_capture_error: 'An error has occurred while extracting the Video Capture:<br/> ',
    transcod_capture_finish: 'Capture extraction is complete',
    transcod_check_audio_status: 'Checking audio status',
    transcod_check_status: 'Checking video status',
    transcod_converted_audio: 'The audio has already been converted.',
    transcod_converted_video: 'The video has already been converted.' ,
    transcod_critical_audio_conversion: 'A critical error has occurred while performing Audio Conversion:<br/> ',
    transcod_critical_error_audio: 'A critical error has occurred while verifying Audio:<br/> ',
    transcod_critical_error_start: 'A critical error occurred while starting the process:<br/> ',
    transcod_critical_error_video: 'A critical error has occurred while adjusting Video:<br/> ',
    transcod_critical_video_conversion: 'A critical error has occurred while performing the Video Conversion:<br/> ',
    transcod_cut_video_error: 'An error has occurred while cutting the Video:<br/> ',
    transcod_cut_video_success: 'The video has been cut successfully',
    transcod_cut_video: 'Generating the Clipping',
    transcod_download_complete: 'Complete download',
    transcod_download_videos: 'Downloading video files',
    transcod_enter_tags: 'You must enter 1 or 2 tags and click on the piece<br/> of video you want to cut',
    transcod_error_check_audio: 'An error occurred while verifying Audio:<br/> ',
    transcod_error_occurred: 'An error has occurred:<br/> ',
    transcod_error_process: 'An error has occurred in the process:<br/> ',
    transcod_error_processing: 'An error occurred while processing:<br/> ',
    transcod_error_response: 'There was an error in the response:',
    transcod_error_set_video: 'An error occurred while adjusting the Video:<br/> ',
    transcod_error_start: 'An error occurred while starting the process:<br/> ',
    transcod_generate_versions: 'Generating versions of the video.',
    transcod_high_bitrate_audio: 'Mp3 audio has a very high bitrate, please wait while it is processed.',
    transcod_high_bitrate_video: 'The mp4 video has a very high bitrate and needs to be adjusted for proper playback, please wait while it is processed.',
    transcod_invalid_response: 'An error has occurred:<br/> Invalid response',
    transcod_invalid_tags: 'The format of the tags delivered by the Player is not valid',
    transcod_load_video_edit: 'You must upload a video before you can edit',
    transcod_load_video: 'You must upload a video before extracting the capture',
    transcod_not_read_time: 'Could not read the time associated with the Capture',
    transcod_not_tags_cut: 'Could not get the tags to cut',
    transcod_process_audio: 'Audio is being processed',
    transcod_process_video: 'The video is being processed',
    transcod_set_audio: 'The mp3 audio is adjusted for correct playback.',
    transcod_set_video_wait: 'The mp4 video needs to be adjusted for correct playback, please wait while it is processed.',
    transcod_set_video: 'The mp4 video is adjusted for correct playback.',
    transcod_video_conversion: 'An error has occurred while performing the Video Conversion:<br/> ',
    transcod_wait_conversion_video: 'You must wait for the conversion to finish before you can edit',
    transcod_wait_extract: 'You must wait for the conversion to finish before extracting the capture',
    urladmin_articles: 'Articles',
    urladmin_confirm_delete: 'Are you sure you want to delete the URL?',
    urladmin_destination_error: 'Url destination error',
    urladmin_destination_not_used: 'This destination cannot be used to set an url in this admin.',
    urladmin_invalid_format: 'Invalid file format',
    urladmin_list: 'Lists',
    urladmin_port: 'Front pages',
    urladmin_redirect: 'Redirect',
    urladmin_tag: 'Tag',
    urladmin_tax: 'Category',
    urlf5_correct_url: 'The URL is correct and can be used.',
    urlf5_delete_ok: 'URL deleted successfully',
    urlf5_delete_success: 'URL [{0}] was successfully removed.',
    urlf5_delete_url_confirm: 'Are you sure you want to delete the URL?',
    urlf5_invalid: 'Invalid URL.',
    urlf5_not_create_url: "Can't create url. ",
    urlf5_prefix_enabled: 'Activated url prefix. All urls will start with',
    urlf5_save_success: 'URL [{0}] was successfully saved.',
    urlf5_save_url: 'saved url',
    usr_admin_confirm_delete: 'Are you sure you want to delete this user?',
    usr_admin_confirm_recover: 'Are you sure you want to recover this user?',
    usr_admin_confirm_save: 'Are you sure you want to save your data?',
    usr_admin_delete: 'Unable to delete this user',
    usr_admin_load_title_new: 'Add New User',
    usr_admin_load_title_update_adm: 'Modify Administrator user account',
    usr_admin_load_title_update: 'Modify user account',
    usr_admin_pass_excellent: '¡Excellent!',
    usr_admin_pass_short: 'Very short password',
    usr_admin_recover_label: 'Recover',
    usr_admin_recover: 'Cannot recover this user.',
    usr_admin_title_delete: 'Delete User',
    usr_admin_title_recover: 'Recover User',
    usr_admin_title_update: 'Modify Administrator User',
    util_msg_win: 'You must enable popup windows in your browser to access this functionality.', usr_admin_delete: 'Unable to delete this user.',
    vtxt_label_code_structure: "Structure and Code",
    vtxt_label_no_responsive_img_class: 'Non-Responsive Image',
    vtxt_label_none_class: 'None',
    vtxt_label_responsive_img_class: 'Responsive Image',
};
